import Vue$1 from 'vue';
import { Prop, Component, Vue, Watch, Provide } from 'vue-property-decorator';
import { Getter } from 'vuex-class';
import { normalizeComponent } from 'vue-runtime-helpers';
import PerfectScrollbar from 'perfect-scrollbar';

/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
/* global Reflect, Promise */

var extendStatics = function(d, b) {
    extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return extendStatics(d, b);
};

function __extends(d, b) {
    extendStatics(d, b);
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
}

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}

var Text = /** @class */ (function (_super) {
    __extends(Text, _super);
    function Text() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(Text.prototype, "fontSize", {
        get: function () {
            /* text-base text-5xl text-2xl text-lg text-sm text-xs */
            return "text-" + (this.h === '1' ? '5xl' : this.h === '2' ? '2xl' : this.p === '1' ? 'lg' : this.p === '3' ? 'sm' : this.p && ['4', '5'].includes(this.p) ? 'xs' : 'base');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Text.prototype, "letterSpacing", {
        get: function () {
            /* tracking-normal tracking-wider tracking-wide */
            return "tracking-" + (this.p && ['3', '5'].includes(this.p) ? 'wider' : this.p && ['4', '6'].includes(this.p) ? 'wide' : 'normal');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Text.prototype, "fontWeight", {
        get: function () {
            /* font-normal font-medium font-semibold font-bold */
            return "font-" + (this.weight === 'regular' ? 'normal' : this.weight);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Text.prototype, "alignment", {
        get: function () {
            /* text-left text-right text-center text-justify */
            return "text-" + (this.align ? this.align : 'left');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Text.prototype, "getTag", {
        get: function () {
            return this.tag ? this.tag : this.h ? "h" + this.h : 'p';
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        Prop({ type: String, default: undefined, validator: function (v) { return ['li', 'span'].includes(v); } })
    ], Text.prototype, "tag", void 0);
    __decorate([
        Prop({ type: Boolean, default: false })
    ], Text.prototype, "shimmer", void 0);
    __decorate([
        Prop({ type: Boolean, default: false })
    ], Text.prototype, "ease", void 0);
    __decorate([
        Prop({ type: Boolean, default: false })
    ], Text.prototype, "clickable", void 0);
    __decorate([
        Prop({ type: String, default: undefined, validator: function (v) { return ['center', 'right', 'justify'].includes(v); } })
    ], Text.prototype, "align", void 0);
    __decorate([
        Prop({
            type: String,
            default: undefined,
            validator: function (v) { return ['1', '2'].includes(v); }
        })
    ], Text.prototype, "h", void 0);
    __decorate([
        Prop({
            type: String,
            default: undefined,
            validator: function (v) { return ['1', '2', '3', '4', '5'].includes(v); }
        })
    ], Text.prototype, "p", void 0);
    __decorate([
        Prop({
            type: String,
            default: 'regular',
            validator: function (v) { return ['regular', 'medium', 'semibold', 'bold'].includes(v); }
        })
    ], Text.prototype, "weight", void 0);
    __decorate([
        Getter('getThemeColor')
    ], Text.prototype, "themeColor", void 0);
    Text = __decorate([
        Component({
            name: 'SText'
        })
    ], Text);
    return Text;
}(Vue));

/* script */
const __vue_script__ = Text;

/* template */
var __vue_render__ = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c(_vm.getTag,{tag:"component",class:[
    'font-body',
    'leading-normal',
    _vm.alignment,
    _vm.fontSize,
    _vm.fontWeight,
    _vm.letterSpacing,
    { ease: _vm.ease },
    { shimmer: _vm.shimmer },
    { 'bg-transparent': !_vm.shimmer },
    { 'cursor-pointer': _vm.clickable }
  ],on:{"click":function($event){return _vm.$emit('click', $event)}}},[_vm._t("default")],2)};
var __vue_staticRenderFns__ = [];

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

var SMessage = /** @class */ (function (_super) {
    __extends(SMessage, _super);
    function SMessage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(SMessage.prototype, "color", {
        get: function () {
            /* text-green-70 text-green-80 text-yellow-70 text-yellow-80 text-red-70 text-red-80  */
            return "text-" + (this.level === 'success' ? 'green' : this.level === 'warning' ? 'yellow' : 'red') + "-" + (this.darker ? '80' : '70');
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        Prop({ type: Boolean, default: false })
    ], SMessage.prototype, "darker", void 0);
    __decorate([
        Prop({ type: String, default: 'success', validator: function (v) { return ['success', 'warning', 'error'].includes(v); } })
    ], SMessage.prototype, "level", void 0);
    SMessage = __decorate([
        Component({
            name: 'SMessage'
        })
    ], SMessage);
    return SMessage;
}(Vue));

/* script */
const __vue_script__$1 = SMessage;

/* template */
var __vue_render__$1 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('s-text',{class:[_vm.color],attrs:{"p":"5","weight":"medium"}},[_vm._t("default")],2)};
var __vue_staticRenderFns__$1 = [];

  /* style */
  const __vue_inject_styles__$1 = undefined;
  /* scoped */
  const __vue_scope_id__$1 = undefined;
  /* module identifier */
  const __vue_module_identifier__$1 = undefined;
  /* functional template */
  const __vue_is_functional_template__$1 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$1 = normalizeComponent(
    { render: __vue_render__$1, staticRenderFns: __vue_staticRenderFns__$1 },
    __vue_inject_styles__$1,
    __vue_script__$1,
    __vue_scope_id__$1,
    __vue_is_functional_template__$1,
    __vue_module_identifier__$1,
    false,
    undefined,
    undefined,
    undefined
  );

var ThemeColorsEnum;
(function (ThemeColorsEnum) {
    ThemeColorsEnum[ThemeColorsEnum["LIGHT"] = 0] = "LIGHT";
    ThemeColorsEnum[ThemeColorsEnum["DARK"] = 1] = "DARK";
})(ThemeColorsEnum || (ThemeColorsEnum = {}));
var AccentColorsEnum;
(function (AccentColorsEnum) {
    AccentColorsEnum[AccentColorsEnum["PINK"] = 0] = "PINK";
    AccentColorsEnum[AccentColorsEnum["MAGENTA"] = 1] = "MAGENTA";
    AccentColorsEnum[AccentColorsEnum["ORANGE"] = 2] = "ORANGE";
    AccentColorsEnum[AccentColorsEnum["LEMON"] = 3] = "LEMON";
    AccentColorsEnum[AccentColorsEnum["BLUE"] = 4] = "BLUE";
    AccentColorsEnum[AccentColorsEnum["RED"] = 5] = "RED";
    AccentColorsEnum[AccentColorsEnum["GREEN"] = 6] = "GREEN";
    AccentColorsEnum[AccentColorsEnum["YELLOW"] = 7] = "YELLOW";
    AccentColorsEnum[AccentColorsEnum["INDIGO"] = 8] = "INDIGO";
})(AccentColorsEnum || (AccentColorsEnum = {}));

var SButton = /** @class */ (function (_super) {
    __extends(SButton, _super);
    function SButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(SButton.prototype, "rounded", {
        get: function () {
            /* rounded-xl rounded-md */
            return "rounded-" + (['regular', 'medium'].includes(this.size) ? 'xl' : 'md');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SButton.prototype, "border", {
        get: function () {
            if (this.secondary) {
                return !this.disabled && !this.accent && this.themeColor === ThemeColorsEnum.LIGHT ? 'border border-gray-30' : '';
            }
            return !this.disabled && !this.accent && this.themeColor === ThemeColorsEnum.DARK ? 'border border-gray-30' : '';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SButton.prototype, "bg", {
        get: function () {
            /**
             * bg-white bg-black bg-gray-90 bg-gray-20
             * bg-pink-20 bg-pink-70
             * bg-magenta-20 bg-magenta-70
             * bg-orange-20 bg-orange-70
             * bg-lemon-20 bg-lemon-70
             * bg-blue-20 bg-blue-70
             * bg-red-20 bg-red-70
             * bg-green-20 bg-green-70
             * bg-yellow-20 bg-yellow-70
             * bg-indigo-20 bg-indigo-70
             **/
            if (this.disabled) {
                return "bg-" + (this.themeAccent !== undefined && this.accent
                    ? AccentColorsEnum[this.themeAccent].toLowerCase()
                    : 'gray') + "-20";
            }
            if (this.themeAccent !== undefined && this.accent) {
                return "bg-" + AccentColorsEnum[this.themeAccent].toLowerCase() + "-70";
            }
            if (this.secondary) {
                return "bg-" + (this.themeColor !== ThemeColorsEnum.DARK ? 'white' : 'black');
            }
            return "bg-" + (this.themeColor === ThemeColorsEnum.DARK ? 'white' : 'black');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SButton.prototype, "cursor", {
        get: function () {
            /* cursor-pointer cursor-not-allowed */
            return "cursor-" + (this.disabled ? 'not-allowed' : 'pointer');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SButton.prototype, "padding", {
        get: function () {
            return this.size === 'small' ? 'p-3'
                : this.size === 'medium' ? 'p-7/8'
                    : this.size === 'smaller' ? 'px-3 py-2'
                        : this.size === 'smallest' ? 'px-3 py-1' : 'p-4';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SButton.prototype, "active", {
        get: function () {
            /**
             * bg-gray-10 bg-gray-90
             * bg-pink-90
             * bg-pink-90
             * bg-magenta-90
             * bg-orange-90
             * bg-lemon-90
             * bg-blue-90
             * bg-red-90
             * bg-green-90
             * bg-yellow-90
             * bg-indigo-90
             * active:bg-gray-10 active:bg-gray-90
             * active:bg-pink-90
             * active:bg-pink-90
             * active:bg-magenta-90
             * active:bg-orange-90
             * active:bg-lemon-90
             * active:bg-blue-90
             * active:bg-red-90
             * active:bg-green-90
             * active:bg-yellow-90
             * active:bg-indigo-90
             */
            if (this.disabled)
                return '';
            if (this.themeAccent !== undefined && this.accent) {
                return "active:bg-" + AccentColorsEnum[this.themeAccent].toLowerCase() + "-90";
            }
            if (this.secondary) {
                return "active:bg-gray-" + (this.themeColor !== ThemeColorsEnum.DARK ? '10' : '90');
            }
            return "active:bg-gray-" + (this.themeColor === ThemeColorsEnum.DARK ? '10' : '90');
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        Prop({ type: Boolean, default: false })
    ], SButton.prototype, "disabled", void 0);
    __decorate([
        Prop({
            type: String,
            default: 'regular',
            validator: function (v) { return ['regular', 'medium', 'small', 'smaller', 'smallest'].includes(v); }
        })
    ], SButton.prototype, "size", void 0);
    __decorate([
        Prop({ type: Boolean, default: false })
    ], SButton.prototype, "accent", void 0);
    __decorate([
        Prop({ type: Boolean, default: false })
    ], SButton.prototype, "secondary", void 0);
    __decorate([
        Prop({ type: Boolean, default: false })
    ], SButton.prototype, "submit", void 0);
    __decorate([
        Getter('getThemeColor')
    ], SButton.prototype, "themeColor", void 0);
    __decorate([
        Getter('getThemeAccent')
    ], SButton.prototype, "themeAccent", void 0);
    SButton = __decorate([
        Component({
            name: 'SButton'
        })
    ], SButton);
    return SButton;
}(Vue));

/* script */
const __vue_script__$2 = SButton;

/* template */
var __vue_render__$2 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('button',{tag:"component",class:[
    _vm.rounded,
    _vm.bg,
    _vm.cursor,
    _vm.padding,
    _vm.active,
    _vm.border,
    'focus:outline-none'
  ],attrs:{"type":("" + (_vm.submit ? 'submit' : 'button'))},on:{"click":function($event){return _vm.$emit('click', $event)}}},[_vm._t("default")],2)};
var __vue_staticRenderFns__$2 = [];

  /* style */
  const __vue_inject_styles__$2 = undefined;
  /* scoped */
  const __vue_scope_id__$2 = undefined;
  /* module identifier */
  const __vue_module_identifier__$2 = undefined;
  /* functional template */
  const __vue_is_functional_template__$2 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$2 = normalizeComponent(
    { render: __vue_render__$2, staticRenderFns: __vue_staticRenderFns__$2 },
    __vue_inject_styles__$2,
    __vue_script__$2,
    __vue_scope_id__$2,
    __vue_is_functional_template__$2,
    __vue_module_identifier__$2,
    false,
    undefined,
    undefined,
    undefined
  );

var STextButton = /** @class */ (function (_super) {
    __extends(STextButton, _super);
    function STextButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(STextButton.prototype, "defaultColor", {
        get: function () {
            /* text-white text-gray-50 */
            if (this.disabled) {
                return 'text-white';
            }
            if (this.secondary) {
                return "text-" + (this.themeColor === ThemeColorsEnum.DARK && !this.accent ? 'white' : 'gray-50');
            }
            return "text-" + (this.themeColor === ThemeColorsEnum.DARK && !this.accent ? 'gray-50' : 'white');
        },
        enumerable: true,
        configurable: true
    });
    STextButton = __decorate([
        Component({
            name: 'STextButton'
        })
    ], STextButton);
    return STextButton;
}(__vue_component__$2));

/* script */
const __vue_script__$3 = STextButton;

/* template */
var __vue_render__$3 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('s-button',{attrs:{"disabled":_vm.disabled,"size":_vm.size,"accent":_vm.accent,"secondary":_vm.secondary},on:{"click":function($event){return _vm.$emit('click', $event)}}},[_c('s-text',{class:[
      _vm.defaultColor
    ],attrs:{"p":['regular', 'medium'].includes(_vm.size) ? '2' : ['small', 'smaller'].includes(_vm.size) ? '3' : '5',"weight":['regular', 'medium', 'small'].includes(_vm.size) ? 'semibold' : 'medium'}},[_vm._t("default")],2)],1)};
var __vue_staticRenderFns__$3 = [];

  /* style */
  const __vue_inject_styles__$3 = undefined;
  /* scoped */
  const __vue_scope_id__$3 = undefined;
  /* module identifier */
  const __vue_module_identifier__$3 = undefined;
  /* functional template */
  const __vue_is_functional_template__$3 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$3 = normalizeComponent(
    { render: __vue_render__$3, staticRenderFns: __vue_staticRenderFns__$3 },
    __vue_inject_styles__$3,
    __vue_script__$3,
    __vue_scope_id__$3,
    __vue_is_functional_template__$3,
    __vue_module_identifier__$3,
    false,
    undefined,
    undefined,
    undefined
  );

var GradientBorderButton = /** @class */ (function (_super) {
    __extends(GradientBorderButton, _super);
    function GradientBorderButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(GradientBorderButton.prototype, "bg", {
        get: function () {
            /**
             * bg-white bg-black bg-gray-20
             **/
            if (this.disabled) {
                return 'bg-gray-20';
            }
            if (this.secondary) {
                return "bg-" + (this.themeColor !== ThemeColorsEnum.DARK ? 'white' : 'black');
            }
            return "bg-" + (this.themeColor === ThemeColorsEnum.DARK ? 'white' : 'black');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GradientBorderButton.prototype, "rounded", {
        get: function () {
            return 'rounded-md';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GradientBorderButton.prototype, "defaultColor", {
        get: function () {
            /* text-white text-gray-100 */
            if (this.disabled) {
                return 'text-gray-100';
            }
            if (this.secondary) {
                return "text-" + (this.themeColor !== ThemeColorsEnum.LIGHT ? 'white' : 'gray-100');
            }
            return "text-" + (this.themeColor === ThemeColorsEnum.LIGHT ? 'white' : 'gray-100');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GradientBorderButton.prototype, "active", {
        get: function () {
            /**
             * bg-gray-10 bg-gray-90
             * active:bg-gray-10 active:bg-gray-90
             */
            if (this.disabled)
                return '';
            if (this.secondary) {
                return "active:bg-gray-" + (this.themeColor !== ThemeColorsEnum.DARK ? '10' : '90');
            }
            return "active:bg-gray-" + (this.themeColor === ThemeColorsEnum.DARK ? '10' : '90');
        },
        enumerable: true,
        configurable: true
    });
    GradientBorderButton = __decorate([
        Component({
            name: 'SGradientBorderButton'
        })
    ], GradientBorderButton);
    return GradientBorderButton;
}(__vue_component__$2));

/* script */
const __vue_script__$4 = GradientBorderButton;

/* template */
var __vue_render__$4 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"flex items-center select-none bg-colorful p-1/2 w-fit-content",class:{'disabled': _vm.disabled}},[_c('button',{staticClass:"flex items-center focus:outline-none",class:[
      _vm.rounded,
      _vm.bg,
      _vm.cursor,
      _vm.padding,
      _vm.active,
      _vm.defaultColor
    ],on:{"click":function($event){return _vm.$emit('click', $event)}}},[(_vm.$slots.icon)?_c('div',{staticClass:"mr-2"},[_vm._t("icon")],2):_vm._e(),_vm._v(" "),_c('s-text',{attrs:{"p":"5","weight":"medium"}},[_vm._t("default")],2)],1)])};
var __vue_staticRenderFns__$4 = [];

  /* style */
  const __vue_inject_styles__$4 = undefined;
  /* scoped */
  const __vue_scope_id__$4 = undefined;
  /* module identifier */
  const __vue_module_identifier__$4 = undefined;
  /* functional template */
  const __vue_is_functional_template__$4 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$4 = normalizeComponent(
    { render: __vue_render__$4, staticRenderFns: __vue_staticRenderFns__$4 },
    __vue_inject_styles__$4,
    __vue_script__$4,
    __vue_scope_id__$4,
    __vue_is_functional_template__$4,
    __vue_module_identifier__$4,
    false,
    undefined,
    undefined,
    undefined
  );

var Icons = [{name:"github-o",width:19,height:21,path:{d:"m3.88298 16.6528c-.3-.2-.558-.455-.86-.816-.15676-.1919-.31209-.3849-.466-.579-.463-.575-.755-.84-1.057-.949-.2497-.0897-.45357-.2748-.566743-.5148-.113178-.2399-.1264-.515-.036757-.7647s.27481-.4536.51476-.5668c.23995-.1131.51504-.1264.76474-.0367.752.27 1.261.735 1.947 1.588-.094-.117.34.427.433.539.19.227.33.365.44.438.204.137.587.196 1.15.14.023-.382.094-.753.202-1.095-2.968-.726-4.648-2.64-4.648-6.39602 0-1.24.37-2.356 1.058-3.292-.218-.894-.185-1.975.302-3.192.05527-.13767.14047-.26131.24944-.361972.10896-.100663.23896-.175821.38056-.220029.081-.024.127-.035.208-.047.803-.123 1.937.17 3.415 1.096001.8808-.20592 1.78245-.30927 2.687-.308.91202 0 1.81802.104 2.68402.308 1.477-.933001 2.613-1.226001 3.422-1.096001.085.013.157.03.218.05.1388.045777.2659.121434.3723.221643.1065.100209.1896.222528.2437.358358.487 1.216.52 2.297.302 3.19.691.936 1.058 2.045 1.058 3.293 0 3.75702-1.674 5.66502-4.642 6.39202.125.415.19.879.19 1.38.0001.9053-.0039 1.8107-.012 2.716.2246.049.4254.1738.5687.3535.1433.1798.2203.4034.2181.6332-.0022.2299-.0836.4519-.2303.6288-.1468.1769-.35.2979-.5755.3425-1.139.228-1.983-.532-1.983-1.525l.002-.446.005-.705c.005-.708.007-1.338.007-1.998 0-.697-.183-1.152-.425-1.36-.661-.57-.326-1.655.54-1.752 2.967-.333 4.337-1.482 4.337-4.66002 0-.955-.312-1.744-.913-2.404-.1266-.13876-.2116-.31037-.2452-.49519s-.0145-.37536.0552-.54981c.166-.414.237-.957.096-1.614l-.01.003c-.491.139-1.11.44-1.858.949-.1206.08185-.2577.13635-.4016.15967s-.2911.0149-.4314-.02467c-.8441-.23371-1.7162-.35113-2.59202-.349-.89 0-1.772.119-2.592.35-.13978.03926-.28643.0476-.42977.02446-.14333-.02314-.2799-.07721-.40023-.15846-.752-.507-1.374-.807-1.868-.947-.144.653-.073 1.194.092 1.607.06981.17436.0891.36485.05568.54966-.03343.18481-.11822.35648-.24468.49534-.597.654-.913 1.458-.913 2.404 0 3.17202 1.371 4.32802 4.322 4.66002.865.097 1.201 1.177.544 1.748-.192.168-.429.732-.429 1.364v3.15c0 .986-.835 1.725-1.96 1.528-.22823-.0401-.43547-.1582-.58628-.3341-.15082-.1759-.23586-.3988-.24058-.6305-.00472-.2316.07116-.4578.21468-.6397s.34577-.3084.57218-.3577v-.99c-.91.061-1.662-.088-2.254-.485z",fill:"currentColor"}},{name:"gitlab-o",width:18,height:17,path:{d:"M3.73332 4.09523L2.21665 9.02357L8.99999 14.2019L15.7833 9.02357L14.2667 4.09523L12.8692 7.1669H5.12999L3.73415 4.09523H3.73332ZM11.7975 5.50023L14.2042 0.205233C14.2321 0.143505 14.2781 0.0917506 14.3362 0.0568651C14.3943 0.0219796 14.4616 0.00561916 14.5292 0.00996356C14.5968 0.014308 14.6615 0.0391509 14.7147 0.0811826C14.7678 0.123214 14.8069 0.180439 14.8267 0.245233L17.6325 9.36607C17.6575 9.44739 17.657 9.53443 17.6311 9.61547C17.6052 9.69652 17.555 9.76768 17.4875 9.8194L8.99999 16.2986L0.51332 9.8194C0.445755 9.76768 0.395643 9.69652 0.369721 9.61547C0.343799 9.53443 0.34331 9.44739 0.36832 9.36607L3.17415 0.245233C3.19394 0.180439 3.23301 0.123214 3.28615 0.0811826C3.33928 0.0391509 3.40396 0.014308 3.47157 0.00996356C3.53918 0.00561916 3.60651 0.0219796 3.66459 0.0568651C3.72266 0.0917506 3.76873 0.143505 3.79665 0.205233L6.20332 5.50023H11.7967H11.7975Z",fill:"currentColor"}},{name:"google-f",width:17,height:18,path:{d:"M1.55332 5.25817C2.24666 3.87754 3.3103 2.71693 4.62535 1.90606C5.9404 1.09519 7.45504 0.666018 8.99999 0.666504C11.2458 0.666504 13.1325 1.4915 14.575 2.83734L12.1858 5.22734C11.3217 4.4015 10.2233 3.98067 8.99999 3.98067C6.82916 3.98067 4.99166 5.44734 4.33749 7.41651C4.17082 7.91651 4.07582 8.44984 4.07582 8.99984C4.07582 9.54984 4.17082 10.0832 4.33749 10.5832C4.99249 12.5532 6.82916 14.019 8.99999 14.019C10.1208 14.019 11.075 13.7232 11.8217 13.2232C12.2545 12.9382 12.6251 12.5684 12.911 12.1361C13.1969 11.7038 13.3922 11.2181 13.485 10.7082H8.99999V7.48484H16.8483C16.9467 8.02984 17 8.59817 17 9.18901C17 11.7273 16.0917 13.864 14.515 15.314C13.1367 16.5873 11.25 17.3332 8.99999 17.3332C7.90552 17.3336 6.82169 17.1184 5.81044 16.6997C4.7992 16.2811 3.88037 15.6673 3.10646 14.8934C2.33255 14.1195 1.71874 13.2006 1.3001 12.1894C0.881468 11.1781 0.666219 10.0943 0.666657 8.99984C0.666657 7.65484 0.988324 6.38317 1.55332 5.25817Z",fill:"currentColor"}},{name:"refresh",height:24,width:24,path:{d:"M5.463 4.43301C7.27756 2.86067 9.59899 1.99666 12 2.00001C17.523 2.00001 22 6.47701 22 12C22 14.136 21.33 16.116 20.19 17.74L17 12H20C20.0001 10.4316 19.5392 8.89781 18.6747 7.58927C17.8101 6.28072 16.5799 5.25517 15.1372 4.64013C13.6944 4.0251 12.1027 3.84771 10.56 4.13003C9.0172 4.41234 7.59145 5.14191 6.46 6.22801L5.463 4.43301ZM18.537 19.567C16.7224 21.1393 14.401 22.0034 12 22C6.477 22 2 17.523 2 12C2 9.86401 2.67 7.88401 3.81 6.26001L7 12H4C3.99987 13.5684 4.46075 15.1022 5.32534 16.4108C6.18992 17.7193 7.42007 18.7449 8.86282 19.3599C10.3056 19.9749 11.8973 20.1523 13.44 19.87C14.9828 19.5877 16.4085 18.8581 17.54 17.772L18.537 19.567Z",fill:"currentColor"}},{name:"dot",height:6,width:6,circle:{cx:3,cy:3,r:3,fill:"currentColor"}},{name:"team",height:16,width:16,path:{d:"M6.36666 7.66659C5.96884 7.66659 5.58731 7.50855 5.306 7.22725C5.0247 6.94594 4.86666 6.56441 4.86666 6.16659C4.86666 5.76876 5.0247 5.38723 5.306 5.10593C5.58731 4.82462 5.96884 4.66659 6.36666 4.66659C6.76449 4.66659 7.14602 4.82462 7.42732 5.10593C7.70863 5.38723 7.86666 5.76876 7.86666 6.16659C7.86666 6.56441 7.70863 6.94594 7.42732 7.22725C7.14602 7.50855 6.76449 7.66659 6.36666 7.66659ZM6.66666 13.1653V10.9333C6.66666 10.6079 6.76266 10.3086 6.936 10.0413C6.34177 9.95671 5.73645 9.99706 5.1587 10.1597C4.58096 10.3224 4.04349 10.6038 3.58066 10.9859C4.30938 12.0643 5.40675 12.8395 6.66666 13.1659V13.1653ZM2.96866 9.77325C3.94232 9.05271 5.12205 8.66469 6.33333 8.66659C7.02866 8.66659 7.69533 8.79192 8.31133 9.02125C8.89666 8.79259 9.59466 8.66659 10.3333 8.66659C11.44 8.66659 12.4567 8.94925 13.1373 9.43725C13.3624 8.6305 13.3942 7.78209 13.2303 6.96073C13.0664 6.13937 12.7114 5.36816 12.194 4.70954C11.6766 4.05093 11.0113 3.52343 10.2521 3.16977C9.4929 2.81612 8.66106 2.64624 7.82396 2.6739C6.98687 2.70156 6.16806 2.92598 5.43384 3.32898C4.69963 3.73199 4.07064 4.30225 3.59784 4.99358C3.12503 5.68492 2.82169 6.47788 2.71238 7.30827C2.60307 8.13866 2.69087 8.98311 2.96866 9.77325ZM12.586 10.7239C12.324 10.3686 11.4473 9.99992 10.3333 9.99992C8.996 9.99992 8 10.5313 8 10.9333V13.3333C8.92522 13.3338 9.83465 13.0935 10.6389 12.6359C11.4431 12.1784 12.1143 11.5195 12.5867 10.7239H12.586ZM8 14.6666C4.318 14.6666 1.33333 11.6819 1.33333 7.99992C1.33333 4.31792 4.318 1.33325 8 1.33325C11.682 1.33325 14.6667 4.31792 14.6667 7.99992C14.6667 11.6819 11.682 14.6666 8 14.6666ZM10.3333 8.33325C9.97971 8.33325 9.64057 8.19278 9.39052 7.94273C9.14047 7.69268 9 7.35354 9 6.99992C9 6.6463 9.14047 6.30716 9.39052 6.05711C9.64057 5.80706 9.97971 5.66659 10.3333 5.66659C10.687 5.66659 11.0261 5.80706 11.2761 6.05711C11.5262 6.30716 11.6667 6.6463 11.6667 6.99992C11.6667 7.35354 11.5262 7.69268 11.2761 7.94273C11.0261 8.19278 10.687 8.33325 10.3333 8.33325Z",fill:"currentColor"}},{name:"puzzle",height:16,width:16,path:[{d:"M12.1478 8.30591H13.4338C13.6548 8.30591 13.834 8.12419 13.834 7.90004V3.98747C13.834 3.76332 13.6548 3.5816 13.4338 3.5816H9.9758V2.68328C9.9758 1.74034 9.21931 0.973219 8.2895 0.973219C7.35968 0.973219 6.60318 1.74036 6.60318 2.68328V3.5816H3.14518C2.92415 3.5816 2.74495 3.76332 2.74495 3.98747V7.49417H1.8591C0.929285 7.49417 0.317144 8.26132 0.317144 9.20423C0.317144 10.1471 0.929285 10.9143 1.8591 10.9143H2.74495V14.421C2.74495 14.6451 2.92415 14.8269 3.14518 14.8269H7.00342C7.22445 14.8269 7.40365 14.6451 7.40365 14.421V13.1168C7.40365 12.6215 7.80105 12.2185 8.2895 12.2185C8.77794 12.2185 9.17534 12.6215 9.17534 13.1168V14.421C9.17534 14.6451 9.35454 14.8269 9.57557 14.8269H13.4338C13.6548 14.8269 13.834 14.6451 13.834 14.421V10.5084C13.834 10.2843 13.6548 10.1026 13.4338 10.1026H12.1478C11.6593 10.1026 11.2619 9.69955 11.2619 9.20423C11.2619 8.70891 11.6593 8.30591 12.1478 8.30591ZM12.1478 10.9143H13.0336V14.0151H9.9758V13.1168C9.9758 12.1739 9.21931 11.4067 8.2895 11.4067C7.35968 11.4067 6.60318 12.1739 6.60318 13.1168V14.0151H3.54541V10.5084C3.54541 10.2843 3.36622 10.1026 3.14518 10.1026H1.8591C1.37063 10.1026 0.973257 9.69955 0.973257 9.20423C0.973257 8.70891 1.37066 8.30591 1.8591 8.30591H3.14518C3.36622 8.30591 3.54541 8.12419 3.54541 7.90004V4.39334H7.00342C7.22445 4.39334 7.40365 4.21162 7.40365 3.98747V2.68328C7.40365 2.18793 7.80105 1.78496 8.2895 1.78496C8.77794 1.78496 9.17534 2.18796 9.17534 2.68328V3.98747C9.17534 4.21162 9.35454 4.39334 9.57557 4.39334H13.0336V7.49417H12.1478C11.2179 7.49417 10.4614 8.26132 10.4614 9.20423C10.4614 10.1471 11.2179 10.9143 12.1478 10.9143Z",fill:"currentColor"},{d:"M13.4338 8.47908H12.1478C11.7536 8.47908 11.4326 8.80455 11.4326 9.20423C11.4326 9.60391 11.7536 9.92938 12.1478 9.92938H13.4338C13.7492 9.92938 14.0048 10.1886 14.0048 10.5084V14.421C14.0048 14.7408 13.7492 15 13.4338 15H9.57557C9.26023 15 9.00458 14.7408 9.00458 14.421V13.1168C9.00458 12.7171 8.68363 12.3916 8.2895 12.3916C7.89536 12.3916 7.57441 12.7171 7.57441 13.1168V14.421C7.57441 14.7408 7.31876 15 7.00342 15H3.14518C2.82984 15 2.57418 14.7408 2.57418 14.421V11.0875H1.8591C0.834974 11.0875 0.146379 10.2428 0.146379 9.20423C0.146379 8.16568 0.834974 7.321 1.8591 7.321H2.57418V3.98747C2.57418 3.66768 2.82984 3.40843 3.14518 3.40843H6.43242V2.68328C6.43242 1.64473 7.26537 0.800049 8.2895 0.800049C9.31362 0.800049 10.1466 1.6447 10.1466 2.68328V3.40843H13.4338C13.7492 3.40843 14.0048 3.66768 14.0048 3.98747V7.90004C14.0048 8.21983 13.7492 8.47908 13.4338 8.47908ZM12.8628 11.0875H12.1478C11.1236 11.0875 10.2907 10.2428 10.2907 9.20423C10.2907 8.16568 11.1236 7.321 12.1478 7.321H12.8628V4.56651H9.57557C9.26023 4.56651 9.00458 4.30726 9.00458 3.98747V2.68328C9.00458 2.2836 8.68363 1.95813 8.2895 1.95813C7.89536 1.95813 7.57441 2.28357 7.57441 2.68328V3.98747C7.57441 4.30726 7.31876 4.56651 7.00342 4.56651H3.71618V7.90004C3.71618 8.21983 3.46053 8.47908 3.14518 8.47908H1.8591C1.46497 8.47908 1.14402 8.80455 1.14402 9.20423C1.14402 9.60391 1.46495 9.92938 1.8591 9.92938H3.14518C3.46053 9.92938 3.71618 10.1886 3.71618 10.5084V13.842H6.43242V13.1168C6.43242 12.0782 7.26537 11.2336 8.2895 11.2336C9.31362 11.2336 10.1466 12.0782 10.1466 13.1168V13.842H12.8628V11.0875ZM13.4338 8.30591H12.1478C11.6593 8.30591 11.2619 8.70891 11.2619 9.20423C11.2619 9.69955 11.6593 10.1026 12.1478 10.1026H13.4338C13.6548 10.1026 13.834 10.2843 13.834 10.5084V14.421C13.834 14.6451 13.6548 14.8269 13.4338 14.8269H9.57557C9.35454 14.8269 9.17534 14.6451 9.17534 14.421V13.1168C9.17534 12.6215 8.77794 12.2185 8.2895 12.2185C7.80105 12.2185 7.40365 12.6215 7.40365 13.1168V14.421C7.40365 14.6451 7.22445 14.8269 7.00342 14.8269H3.14518C2.92415 14.8269 2.74495 14.6451 2.74495 14.421V10.9143H1.8591C0.929285 10.9143 0.317144 10.1471 0.317144 9.20423C0.317144 8.26132 0.929285 7.49417 1.8591 7.49417H2.74495V3.98747C2.74495 3.76332 2.92415 3.5816 3.14518 3.5816H6.60318V2.68328C6.60318 1.74036 7.35968 0.973219 8.2895 0.973219C9.21931 0.973219 9.9758 1.74034 9.9758 2.68328V3.5816H13.4338C13.6548 3.5816 13.834 3.76332 13.834 3.98747V7.90004C13.834 8.12419 13.6548 8.30591 13.4338 8.30591ZM12.1478 10.9143C11.2179 10.9143 10.4614 10.1471 10.4614 9.20423C10.4614 8.26132 11.2179 7.49417 12.1478 7.49417H13.0336V4.39334H9.57557C9.35454 4.39334 9.17534 4.21162 9.17534 3.98747V2.68328C9.17534 2.18796 8.77794 1.78496 8.2895 1.78496C7.80105 1.78496 7.40365 2.18793 7.40365 2.68328V3.98747C7.40365 4.21162 7.22445 4.39334 7.00342 4.39334H3.54541V7.90004C3.54541 8.12419 3.36622 8.30591 3.14518 8.30591H1.8591C1.37066 8.30591 0.973257 8.70891 0.973257 9.20423C0.973257 9.69955 1.37063 10.1026 1.8591 10.1026H3.14518C3.36622 10.1026 3.54541 10.2843 3.54541 10.5084V14.0151H6.60318V13.1168C6.60318 12.1739 7.35968 11.4067 8.2895 11.4067C9.21931 11.4067 9.9758 12.1739 9.9758 13.1168V14.0151H13.0336V10.9143H12.1478Z",fill:"currentColor"}]},{name:"phone",height:16,width:16,path:{d:"M4.66666 2.66659V13.3333H11.3333V2.66659H4.66666ZM3.99999 1.33325H12C12.1768 1.33325 12.3464 1.40349 12.4714 1.52851C12.5964 1.65354 12.6667 1.82311 12.6667 1.99992V13.9999C12.6667 14.1767 12.5964 14.3463 12.4714 14.4713C12.3464 14.5963 12.1768 14.6666 12 14.6666H3.99999C3.82318 14.6666 3.65361 14.5963 3.52859 14.4713C3.40357 14.3463 3.33333 14.1767 3.33333 13.9999V1.99992C3.33333 1.82311 3.40357 1.65354 3.52859 1.52851C3.65361 1.40349 3.82318 1.33325 3.99999 1.33325ZM8 11.3333C8.17681 11.3333 8.34637 11.4035 8.4714 11.5285C8.59642 11.6535 8.66666 11.8231 8.66666 11.9999C8.66666 12.1767 8.59642 12.3463 8.4714 12.4713C8.34637 12.5963 8.17681 12.6666 8 12.6666C7.82318 12.6666 7.65361 12.5963 7.52859 12.4713C7.40357 12.3463 7.33333 12.1767 7.33333 11.9999C7.33333 11.8231 7.40357 11.6535 7.52859 11.5285C7.65361 11.4035 7.82318 11.3333 8 11.3333Z",fill:"currentColor"}},{name:"profile",height:16,width:16,path:{d:"M8.00004 14.6666C4.31804 14.6666 1.33337 11.6819 1.33337 7.99992C1.33337 4.31792 4.31804 1.33325 8.00004 1.33325C11.682 1.33325 14.6667 4.31792 14.6667 7.99992C14.6667 11.6819 11.682 14.6666 8.00004 14.6666ZM4.67537 12.1706C5.61907 12.9251 6.79183 13.3352 8.00004 13.3333C9.31337 13.3333 10.5154 12.8586 11.4447 12.0719C11.0105 11.6264 10.4914 11.2725 9.91806 11.0311C9.34472 10.7897 8.72879 10.6658 8.10671 10.6666C7.46177 10.6658 6.82371 10.7992 6.23302 11.0581C5.64233 11.317 5.11189 11.6958 4.67537 12.1706ZM3.74404 11.2133C4.30434 10.6186 4.98049 10.1451 5.7308 9.82173C6.48111 9.4984 7.28969 9.33216 8.10671 9.33325C8.89447 9.33223 9.67469 9.48683 10.4025 9.78817C11.1304 10.0895 11.7915 10.5317 12.348 11.0893C12.9188 10.286 13.2558 9.34034 13.3218 8.35719C13.3877 7.37404 13.18 6.39184 12.7217 5.51956C12.2634 4.64727 11.5724 3.919 10.7254 3.41555C9.87832 2.9121 8.90837 2.65314 7.92311 2.66742C6.93785 2.6817 5.97581 2.96864 5.14372 3.49642C4.31163 4.0242 3.64201 4.77219 3.20917 5.65739C2.77632 6.54259 2.59717 7.53039 2.69158 8.51122C2.786 9.49204 3.15029 10.4275 3.74404 11.2139V11.2133ZM8.00004 8.66659C7.2928 8.66659 6.61452 8.38563 6.11442 7.88554C5.61433 7.38544 5.33337 6.70716 5.33337 5.99992C5.33337 5.29267 5.61433 4.6144 6.11442 4.1143C6.61452 3.6142 7.2928 3.33325 8.00004 3.33325C8.70728 3.33325 9.38556 3.6142 9.88566 4.1143C10.3858 4.6144 10.6667 5.29267 10.6667 5.99992C10.6667 6.70716 10.3858 7.38544 9.88566 7.88554C9.38556 8.38563 8.70728 8.66659 8.00004 8.66659ZM8.00004 7.33325C8.35366 7.33325 8.6928 7.19278 8.94285 6.94273C9.1929 6.69268 9.33337 6.35354 9.33337 5.99992C9.33337 5.6463 9.1929 5.30716 8.94285 5.05711C8.6928 4.80706 8.35366 4.66659 8.00004 4.66659C7.64642 4.66659 7.30728 4.80706 7.05723 5.05711C6.80718 5.30716 6.66671 5.6463 6.66671 5.99992C6.66671 6.35354 6.80718 6.69268 7.05723 6.94273C7.30728 7.19278 7.64642 7.33325 8.00004 7.33325Z",fill:"currentColor"}},{name:"support",height:16,width:16,path:{d:"M14.6667 8H13.3334V3.33333H2.66671V12.2567L3.84204 11.3333H8.00004V12.6667H4.30337L1.33337 15V2.66667C1.33337 2.48986 1.40361 2.32029 1.52864 2.19526C1.65366 2.07024 1.82323 2 2.00004 2H14C14.1769 2 14.3464 2.07024 14.4714 2.19526C14.5965 2.32029 14.6667 2.48986 14.6667 2.66667V8ZM9.43004 12.714C9.30036 12.2468 9.30036 11.7532 9.43004 11.286L8.78004 10.9107L9.44671 9.756L10.0974 10.1313C10.4368 9.78533 10.8641 9.53847 11.3334 9.41733V8.66667H12.6667V9.41733C13.1434 9.54 13.5687 9.79067 13.9027 10.1313L14.5534 9.756L15.22 10.9107L14.57 11.286C14.6997 11.7532 14.6997 12.2468 14.57 12.714L15.22 13.0893L14.5534 14.244L13.9027 13.8687C13.5687 14.2087 13.1427 14.46 12.6667 14.5827V15.3333H11.3334V14.5827C10.8641 14.4615 10.4368 14.2147 10.0974 13.8687L9.44671 14.244L8.78004 13.0893L9.43004 12.714ZM12 13.3333C12.3537 13.3333 12.6928 13.1929 12.9429 12.9428C13.1929 12.6928 13.3334 12.3536 13.3334 12C13.3334 11.6464 13.1929 11.3072 12.9429 11.0572C12.6928 10.8071 12.3537 10.6667 12 10.6667C11.6464 10.6667 11.3073 10.8071 11.0572 11.0572C10.8072 11.3072 10.6667 11.6464 10.6667 12C10.6667 12.3536 10.8072 12.6928 11.0572 12.9428C11.3073 13.1929 11.6464 13.3333 12 13.3333Z",fill:"currentColor"}},{name:"settings",height:16,width:16,path:[{d:"M8 10C9.10457 10 10 9.10457 10 8C10 6.89543 9.10457 6 8 6C6.89543 6 6 6.89543 6 8C6 9.10457 6.89543 10 8 10Z",stroke:"currentColor","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"},{d:"M12.9337 10.0003C12.8449 10.2014 12.8184 10.4245 12.8577 10.6407C12.8969 10.857 13 11.0565 13.1537 11.2137L13.1937 11.2537C13.3176 11.3775 13.416 11.5245 13.4831 11.6864C13.5502 11.8483 13.5847 12.0218 13.5847 12.197C13.5847 12.3722 13.5502 12.5457 13.4831 12.7076C13.416 12.8694 13.3176 13.0165 13.1937 13.1403C13.0698 13.2643 12.9228 13.3626 12.7609 13.4297C12.599 13.4968 12.4255 13.5314 12.2503 13.5314C12.0751 13.5314 11.9016 13.4968 11.7397 13.4297C11.5779 13.3626 11.4308 13.2643 11.307 13.1403L11.267 13.1003C11.1099 12.9466 10.9103 12.8435 10.694 12.8043C10.4778 12.7651 10.2547 12.7916 10.0537 12.8803C9.85648 12.9648 9.68831 13.1052 9.56986 13.284C9.45141 13.4629 9.38785 13.6725 9.38699 13.887V14.0003C9.38699 14.3539 9.24651 14.6931 8.99647 14.9431C8.74642 15.1932 8.40728 15.3337 8.05366 15.3337C7.70004 15.3337 7.3609 15.1932 7.11085 14.9431C6.8608 14.6931 6.72032 14.3539 6.72032 14.0003V13.9403C6.71516 13.7197 6.64374 13.5057 6.51533 13.3261C6.38693 13.1466 6.20748 13.0098 6.00032 12.9337C5.79925 12.8449 5.5762 12.8184 5.35993 12.8577C5.14367 12.8969 4.94411 13 4.78699 13.1537L4.74699 13.1937C4.62316 13.3176 4.47611 13.416 4.31425 13.4831C4.15238 13.5502 3.97888 13.5847 3.80366 13.5847C3.62844 13.5847 3.45494 13.5502 3.29307 13.4831C3.13121 13.416 2.98416 13.3176 2.86033 13.1937C2.73636 13.0698 2.63801 12.9228 2.57091 12.7609C2.50381 12.599 2.46928 12.4255 2.46928 12.2503C2.46928 12.0751 2.50381 11.9016 2.57091 11.7397C2.63801 11.5779 2.73636 11.4308 2.86033 11.307L2.90033 11.267C3.05402 11.1099 3.15712 10.9103 3.19633 10.694C3.23554 10.4778 3.20907 10.2547 3.12033 10.0537C3.03582 9.85648 2.8955 9.68831 2.71664 9.56986C2.53778 9.45141 2.32818 9.38785 2.11366 9.38699H2.00033C1.6467 9.38699 1.30756 9.24651 1.05752 8.99647C0.807468 8.74642 0.666992 8.40728 0.666992 8.05366C0.666992 7.70004 0.807468 7.3609 1.05752 7.11085C1.30756 6.8608 1.6467 6.72032 2.00033 6.72032H2.06033C2.28099 6.71516 2.495 6.64374 2.67452 6.51533C2.85405 6.38693 2.9908 6.20748 3.06699 6.00032C3.15574 5.79925 3.18221 5.5762 3.14299 5.35993C3.10378 5.14367 3.00068 4.94411 2.84699 4.78699L2.80699 4.74699C2.68302 4.62316 2.58468 4.47611 2.51758 4.31425C2.45048 4.15238 2.41594 3.97888 2.41594 3.80366C2.41594 3.62844 2.45048 3.45494 2.51758 3.29307C2.58468 3.13121 2.68302 2.98416 2.80699 2.86033C2.93082 2.73636 3.07787 2.63801 3.23974 2.57091C3.4016 2.50381 3.5751 2.46928 3.75033 2.46928C3.92555 2.46928 4.09905 2.50381 4.26091 2.57091C4.42278 2.63801 4.56983 2.73636 4.69366 2.86033L4.73366 2.90033C4.89078 3.05402 5.09034 3.15712 5.3066 3.19633C5.52286 3.23554 5.74591 3.20907 5.94699 3.12033H6.00032C6.1975 3.03582 6.36567 2.8955 6.48412 2.71664C6.60257 2.53778 6.66614 2.32818 6.66699 2.11366V2.00033C6.66699 1.6467 6.80747 1.30756 7.05752 1.05752C7.30756 0.807468 7.6467 0.666992 8.00032 0.666992C8.35395 0.666992 8.69308 0.807468 8.94313 1.05752C9.19318 1.30756 9.33366 1.6467 9.33366 2.00033V2.06033C9.33451 2.27485 9.39808 2.48444 9.51653 2.6633C9.63498 2.84216 9.80314 2.98248 10.0003 3.06699C10.2014 3.15574 10.4245 3.18221 10.6407 3.14299C10.857 3.10378 11.0565 3.00068 11.2137 2.84699L11.2537 2.80699C11.3775 2.68302 11.5245 2.58468 11.6864 2.51758C11.8483 2.45048 12.0218 2.41594 12.197 2.41594C12.3722 2.41594 12.5457 2.45048 12.7076 2.51758C12.8694 2.58468 13.0165 2.68302 13.1403 2.80699C13.2643 2.93082 13.3626 3.07787 13.4297 3.23974C13.4968 3.4016 13.5314 3.5751 13.5314 3.75033C13.5314 3.92555 13.4968 4.09905 13.4297 4.26091C13.3626 4.42278 13.2643 4.56983 13.1403 4.69366L13.1003 4.73366C12.9466 4.89078 12.8435 5.09034 12.8043 5.3066C12.7651 5.52286 12.7916 5.74591 12.8803 5.94699V6.00032C12.9648 6.1975 13.1052 6.36567 13.284 6.48412C13.4629 6.60257 13.6725 6.66614 13.887 6.66699H14.0003C14.3539 6.66699 14.6931 6.80747 14.9431 7.05752C15.1932 7.30756 15.3337 7.6467 15.3337 8.00032C15.3337 8.35395 15.1932 8.69308 14.9431 8.94313C14.6931 9.19318 14.3539 9.33366 14.0003 9.33366H13.9403C13.7258 9.33451 13.5162 9.39808 13.3373 9.51653C13.1585 9.63498 13.0182 9.80314 12.9337 10.0003V10.0003Z",stroke:"currentColor","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"}]},{name:"logout",height:16,width:16,path:{d:"M3.33333 7.33325H8.66667V8.66659H3.33333V10.6666L0 7.99992L3.33333 5.33325V7.33325ZM2.66667 11.9999H4.472C5.24179 12.6788 6.19112 13.1212 7.20608 13.2739C8.22105 13.4266 9.25852 13.2832 10.194 12.8609C11.1295 12.4386 11.9233 11.7554 12.48 10.8931C13.0368 10.0309 13.333 9.02631 13.333 7.99992C13.333 6.97353 13.0368 5.96895 12.48 5.10671C11.9233 4.24447 11.1295 3.56121 10.194 3.13892C9.25852 2.71662 8.22105 2.57324 7.20608 2.72596C6.19112 2.87868 5.24179 3.32103 4.472 3.99992H2.66667C3.28711 3.17137 4.09222 2.49893 5.01805 2.03601C5.94387 1.5731 6.9649 1.33248 8 1.33325C11.682 1.33325 14.6667 4.31792 14.6667 7.99992C14.6667 11.6819 11.682 14.6666 8 14.6666C6.9649 14.6674 5.94387 14.4267 5.01805 13.9638C4.09222 13.5009 3.28711 12.8285 2.66667 11.9999Z",fill:"currentColor"}},{name:"info-f",height:16,width:16,path:{d:"M7.99992 14.6668C4.31792 14.6668 1.33325 11.6822 1.33325 8.00016C1.33325 4.31816 4.31792 1.3335 7.99992 1.3335C11.6819 1.3335 14.6666 4.31816 14.6666 8.00016C14.6666 11.6822 11.6819 14.6668 7.99992 14.6668ZM7.33325 7.3335V11.3335H8.66659V7.3335H7.33325ZM7.33325 4.66683V6.00016H8.66659V4.66683H7.33325Z",fill:"currentColor"}},{name:"info-o",height:16,width:16,path:[{d:"M8.33325 2.99951C11.2787 2.99951 13.6665 5.38729 13.6665 8.33276C13.6665 11.2782 11.2787 13.666 8.33325 13.666C5.38778 13.666 3 11.2782 3 8.33276C3 5.38729 5.38778 2.99951 8.33325 2.99951Z",stroke:"currentColor","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"},{d:"M8.33301 10.4658V8.33252",stroke:"currentColor","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"},{d:"M8.33301 6.19922H8.33834",stroke:"currentColor","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"}]},{name:"rocket-f",width:16,height:16,path:{d:"M5.66529 13.3333H10.3346C9.89358 14.3882 9.05484 15.2269 7.99996 15.668C6.94508 15.2269 6.10633 14.3882 5.66529 13.3333V13.3333ZM12 9.86997L13.3333 11.382V12.6666H2.66663V11.382L3.99996 9.86997V5.99997C3.99996 3.67797 5.66929 1.70197 7.99996 0.969971C10.3306 1.70197 12 3.67797 12 5.99997V9.86997ZM7.99996 7.3333C8.35358 7.3333 8.69272 7.19283 8.94277 6.94278C9.19282 6.69273 9.33329 6.35359 9.33329 5.99997C9.33329 5.64635 9.19282 5.30721 8.94277 5.05716C8.69272 4.80711 8.35358 4.66664 7.99996 4.66664C7.64634 4.66664 7.3072 4.80711 7.05715 5.05716C6.8071 5.30721 6.66663 5.64635 6.66663 5.99997C6.66663 6.35359 6.8071 6.69273 7.05715 6.94278C7.3072 7.19283 7.64634 7.3333 7.99996 7.3333Z",fill:"currentColor"}},{name:"rocket-o",width:16,height:16,path:{d:"M10.3346 13.3333C9.89358 14.3882 9.05484 15.2269 7.99996 15.668C6.94508 15.2269 6.10633 14.3882 5.66529 13.3333H7.17196C7.38929 13.6593 7.66996 13.9413 7.99996 14.162C8.32996 13.942 8.61063 13.6593 8.82863 13.3333H10.3346ZM12 9.86997L13.3333 11.382V12.6666H2.66663V11.382L3.99996 9.86997V5.99997C3.99996 3.67797 5.66929 1.70197 7.99996 0.969971C10.3306 1.70197 12 3.67797 12 5.99997V9.86997ZM11.5133 11.3333L10.6666 10.3733V5.99997C10.6666 4.45464 9.61996 3.04664 7.99996 2.38664C6.37996 3.04664 5.33329 4.45397 5.33329 5.99997V10.3733L4.48663 11.3333H11.5133ZM7.99996 7.3333C7.64634 7.3333 7.3072 7.19283 7.05715 6.94278C6.8071 6.69273 6.66663 6.35359 6.66663 5.99997C6.66663 5.64635 6.8071 5.30721 7.05715 5.05716C7.3072 4.80711 7.64634 4.66664 7.99996 4.66664C8.35358 4.66664 8.69272 4.80711 8.94277 5.05716C9.19282 5.30721 9.33329 5.64635 9.33329 5.99997C9.33329 6.35359 9.19282 6.69273 8.94277 6.94278C8.69272 7.19283 8.35358 7.3333 7.99996 7.3333Z",fill:"currentColor"}},{name:"magic-wand",width:16,height:16,path:{d:"M10.1327 6.63006C9.84351 6.35614 9.65753 5.991 9.60598 5.59606L9.33732 3.54073L7.51732 4.53139C7.16738 4.72207 6.76243 4.78635 6.37065 4.71339L4.33332 4.33339L4.71332 6.37073C4.78627 6.76251 4.722 7.16746 4.53132 7.51739L3.54065 9.33739L5.59598 9.60606C5.99069 9.65775 6.35557 9.84372 6.62932 10.1327L8.05465 11.6374L8.94532 9.76606C9.11627 9.40644 9.40583 9.11664 9.76532 8.94539L11.6373 8.05473L10.1327 6.63006V6.63006ZM10.1493 10.3387L8.67398 13.4387C8.64607 13.4973 8.60431 13.5483 8.55231 13.5871C8.50031 13.626 8.43963 13.6516 8.37551 13.6618C8.31139 13.672 8.24576 13.6664 8.18428 13.6455C8.12281 13.6247 8.06733 13.5892 8.02265 13.5421L5.66132 11.0494C5.59823 10.9829 5.51421 10.94 5.42332 10.9281L2.01865 10.4827C1.95432 10.4743 1.89303 10.4503 1.84004 10.4128C1.78706 10.3754 1.74397 10.3256 1.71451 10.2678C1.68505 10.21 1.6701 10.1459 1.67093 10.081C1.67177 10.0161 1.68837 9.95242 1.71932 9.89539L3.36065 6.87939C3.40428 6.79873 3.41888 6.70553 3.40198 6.61539L2.77332 3.24006C2.76138 3.17617 2.76519 3.11034 2.78442 3.04825C2.80364 2.98617 2.83771 2.9297 2.88367 2.88375C2.92963 2.83779 2.98609 2.80372 3.04817 2.78449C3.11026 2.76527 3.17609 2.76146 3.23998 2.77339L6.61532 3.40206C6.70545 3.41895 6.79866 3.40436 6.87932 3.36073L9.89532 1.71939C9.95239 1.68844 10.0161 1.67185 10.0811 1.67105C10.146 1.67025 10.2101 1.68527 10.2679 1.7148C10.3258 1.74433 10.3755 1.7875 10.4129 1.84057C10.4503 1.89363 10.4743 1.95501 10.4826 2.01939L10.928 5.42339C10.94 5.51429 10.9828 5.59831 11.0493 5.66139L13.542 8.02273C13.5891 8.06741 13.6246 8.12288 13.6455 8.18436C13.6663 8.24584 13.6719 8.31147 13.6617 8.37559C13.6516 8.43971 13.6259 8.50039 13.5871 8.55239C13.5482 8.60439 13.4973 8.64615 13.4387 8.67406L10.3387 10.1494C10.2557 10.1889 10.1888 10.2557 10.1493 10.3387V10.3387ZM10.6806 11.6234L11.6233 10.6807L14.452 13.5087L13.5087 14.4521L10.6806 11.6234V11.6234Z",fill:"currentColor"}},{name:"plus",height:16,width:16,path:{d:"M7.33333 7.33325V3.33325H8.66667V7.33325H12.6667V8.66659H8.66667V12.6666H7.33333V8.66659H3.33333V7.33325H7.33333Z",fill:"currentColor"}},{name:"carret",height:16,width:16,path:{d:"M8 6.6L10.6 9.3H5.3L8 6.6Z",fill:"currentColor"}},{name:"search",height:16,width:16,path:{d:"M12.0206 11.078L14.8759 13.9327L13.9326 14.876L11.0779 12.0207C10.0157 12.8722 8.69459 13.3353 7.33325 13.3334C4.02125 13.3334 1.33325 10.6454 1.33325 7.33337C1.33325 4.02137 4.02125 1.33337 7.33325 1.33337C10.6453 1.33337 13.3333 4.02137 13.3333 7.33337C13.3352 8.69471 12.8721 10.0159 12.0206 11.078ZM10.6833 10.5834C11.5293 9.7133 12.0018 8.54699 11.9999 7.33337C11.9999 4.75471 9.91125 2.66671 7.33325 2.66671C4.75459 2.66671 2.66659 4.75471 2.66659 7.33337C2.66659 9.91137 4.75459 12 7.33325 12C8.54687 12.002 9.71318 11.5294 10.5833 10.6834L10.6833 10.5834V10.5834Z",fill:"currentColor"}},{name:"circle-dashed",height:26,width:26,circle:{cx:13,cy:13,r:12,"stroke-linecap":"round","stroke-dasharray":"4 4",fill:"none",stroke:"currentColor"}},{name:"circle",height:26,width:26,circle:{cx:13,cy:13,r:12,"stroke-linecap":"round",fill:"none",stroke:"currentColor"}},{name:"key",height:16,width:16,path:{d:"M6.89547 8.30196L7.23629 8.52818L7.52554 8.23893L12.4047 3.35982L12.6403 3.5955L12.051 4.18528L11.6977 4.53883L12.0511 4.89226L13.347 6.18817L13.1112 6.42414L11.8149 5.12782L11.4613 4.77427L11.1078 5.12782L10.1651 6.07049L9.81155 6.42404L10.1651 6.7776L11.2257 7.83817L10.9899 8.07406L9.92962 7.01324L9.57607 6.65952L9.22243 7.01316L7.7611 8.47449L7.47302 8.76257L7.69698 9.1029C8.0826 9.68888 8.23725 10.397 8.13103 11.0904C8.02481 11.7838 7.66527 12.4132 7.12192 12.8568C6.57858 13.3005 5.89002 13.527 5.1894 13.4924C4.48878 13.4579 3.82585 13.1647 3.3288 12.6698C2.83076 12.1735 2.53499 11.5099 2.49896 10.8078C2.46294 10.1056 2.68926 9.41515 3.13395 8.87056C3.57863 8.32598 4.20991 7.96618 4.90509 7.86109C5.60027 7.756 6.30969 7.91314 6.89547 8.30196ZM4.3683 8.33847C4.06311 8.47241 3.7878 8.66602 3.55853 8.9079C3.10428 9.3792 2.85297 10.0099 2.85866 10.6645C2.86435 11.32 3.12727 11.947 3.5908 12.4106C4.05432 12.8741 4.68135 13.137 5.33684 13.1427C5.99233 13.1484 6.62384 12.8964 7.09534 12.441L7.46116 12.0877L7.42673 12.0532C7.51838 11.9212 7.59731 11.7803 7.66222 11.6324C7.79651 11.3264 7.86809 10.9966 7.87274 10.6625C7.87738 10.3284 7.815 9.99669 7.68927 9.68709C7.56355 9.37749 7.37703 9.09623 7.14075 8.85995C6.90446 8.62367 6.62321 8.43715 6.31361 8.31142L6.14319 8.73108L6.3136 8.31142C6.004 8.1857 5.67234 8.12331 5.33822 8.12796C5.00409 8.13261 4.67429 8.20419 4.3683 8.33847Z",stroke:"currentColor"}},{name:"notification-badge",height:16,width:16,path:{d:"M13.1667 8.47272C13.2784 8.46034 13.3896 8.44378 13.5 8.42307V14C13.5 14.0442 13.4824 14.0866 13.4512 14.1179C13.4199 14.1491 13.3775 14.1667 13.3333 14.1667H2.66667C2.62246 14.1667 2.58007 14.1491 2.54882 14.1179C2.51756 14.0866 2.5 14.0442 2.5 14V3.33337C2.5 3.28917 2.51756 3.24678 2.54882 3.21552C2.58007 3.18427 2.62246 3.16671 2.66667 3.16671H8.24364C8.22293 3.27714 8.20637 3.38833 8.19399 3.50004H3.33333H2.83333V4.00004V13.3334V13.8334H3.33333H12.6667H13.1667V13.3334V8.47272ZM12.6667 5.83337C13.1529 5.83337 13.6192 5.64022 13.963 5.2964C14.3068 4.95259 14.5 4.48627 14.5 4.00004C14.5 3.51381 14.3068 3.0475 13.963 2.70368C13.6192 2.35986 13.1529 2.16671 12.6667 2.16671C12.1804 2.16671 11.7141 2.35986 11.3703 2.70368C11.0265 3.0475 10.8333 3.51381 10.8333 4.00004C10.8333 4.48627 11.0265 4.95259 11.3703 5.2964C11.7141 5.64022 12.1804 5.83337 12.6667 5.83337ZM12.6667 6.16671C12.092 6.16671 11.5409 5.93843 11.1346 5.53211C10.7283 5.12578 10.5 4.57468 10.5 4.00004C10.5 3.42541 10.7283 2.87431 11.1346 2.46798C11.5409 2.06165 12.092 1.83337 12.6667 1.83337C13.2413 1.83337 13.7924 2.06165 14.1987 2.46798C14.6051 2.87431 14.8333 3.42541 14.8333 4.00004C14.8333 4.57468 14.6051 5.12578 14.1987 5.53211C13.7924 5.93843 13.2413 6.16671 12.6667 6.16671Z",stroke:"currentColor"}},{name:"code",height:16,width:16,path:{d:"M13.8015 7.64646L10.3838 4.22868L10.6193 3.99312L14.6262 8.00001L10.6193 12.0069L10.3838 11.7713L13.8015 8.35356L14.1551 8.00001L13.8015 7.64646ZM2.19844 7.64646L1.84488 8.00001L2.19844 8.35356L5.61622 11.7713L5.38066 12.0069L1.37376 8.00001L5.38066 3.99312L5.61622 4.22868L2.19844 7.64646Z",stroke:"currentColor"}},{name:"bar-chart",height:16,width:16,path:{d:"M1.83331 9.66667C1.83331 9.39052 2.05717 9.16667 2.33331 9.16667H4.33331C4.60946 9.16667 4.83331 9.39052 4.83331 9.66667V13C4.83331 13.2761 4.60945 13.5 4.33331 13.5H2.33331C2.05717 13.5 1.83331 13.2761 1.83331 13V9.66667ZM11.1666 6.33333C11.1666 6.05719 11.3905 5.83333 11.6666 5.83333H13.6666C13.9428 5.83333 14.1666 6.05719 14.1666 6.33333V13C14.1666 13.2761 13.9428 13.5 13.6666 13.5H11.6666C11.3905 13.5 11.1666 13.2761 11.1666 13V6.33333ZM6.49998 3C6.49998 2.72386 6.72384 2.5 6.99998 2.5H8.99998C9.27612 2.5 9.49998 2.72386 9.49998 3V13C9.49998 13.2761 9.27612 13.5 8.99998 13.5H6.99998C6.72384 13.5 6.49998 13.2761 6.49998 13V3ZM3.33331 9.5C2.68898 9.5 2.16665 10.0223 2.16665 10.6667V12C2.16665 12.6443 2.68898 13.1667 3.33331 13.1667C3.97765 13.1667 4.49998 12.6443 4.49998 12V10.6667C4.49998 10.0223 3.97765 9.5 3.33331 9.5ZM7.99998 2.83333C7.35565 2.83333 6.83331 3.35567 6.83331 4V12C6.83331 12.6443 7.35565 13.1667 7.99998 13.1667C8.64431 13.1667 9.16665 12.6443 9.16665 12V4C9.16665 3.35567 8.64431 2.83333 7.99998 2.83333ZM12.6666 6.16667C12.0223 6.16667 11.5 6.689 11.5 7.33333V12C11.5 12.6443 12.0223 13.1667 12.6666 13.1667C13.311 13.1667 13.8333 12.6443 13.8333 12V7.33333C13.8333 6.689 13.311 6.16667 12.6666 6.16667Z",stroke:"currentColor"}},{name:"more-f",height:16,width:16,path:{d:"M3.33333 6.66663C2.6 6.66663 2 7.26663 2 7.99996C2 8.73329 2.6 9.33329 3.33333 9.33329C4.06667 9.33329 4.66667 8.73329 4.66667 7.99996C4.66667 7.26663 4.06667 6.66663 3.33333 6.66663ZM12.6667 6.66663C11.9333 6.66663 11.3333 7.26663 11.3333 7.99996C11.3333 8.73329 11.9333 9.33329 12.6667 9.33329C13.4 9.33329 14 8.73329 14 7.99996C14 7.26663 13.4 6.66663 12.6667 6.66663ZM8 6.66663C7.26667 6.66663 6.66667 7.26663 6.66667 7.99996C6.66667 8.73329 7.26667 9.33329 8 9.33329C8.73333 9.33329 9.33333 8.73329 9.33333 7.99996C9.33333 7.26663 8.73333 6.66663 8 6.66663Z",fill:"currentColor"}},{name:"studio",height:16,width:16,path:{d:"M9.66667 14C9.11438 14 8.66667 13.5523 8.66667 13V8.33333C8.66667 7.78105 9.11438 7.33333 9.66667 7.33333H13C13.5523 7.33333 14 7.78105 14 8.33333V13C14 13.5523 13.5523 14 13 14H9.66667ZM3 8.66667C2.44772 8.66667 2 8.21895 2 7.66667V3C2 2.44771 2.44772 2 3 2H6.33333C6.88562 2 7.33333 2.44772 7.33333 3V7.66667C7.33333 8.21895 6.88562 8.66667 6.33333 8.66667H3ZM5 7.33333C5.55228 7.33333 6 6.88562 6 6.33333V4.33333C6 3.78105 5.55228 3.33333 5 3.33333H4.33333C3.78105 3.33333 3.33333 3.78105 3.33333 4.33333V6.33333C3.33333 6.88562 3.78105 7.33333 4.33333 7.33333H5ZM3 14C2.44772 14 2 13.5523 2 13V11C2 10.4477 2.44772 10 3 10H6.33333C6.88562 10 7.33333 10.4477 7.33333 11V13C7.33333 13.5523 6.88562 14 6.33333 14H3ZM3.33333 12C3.33333 12.3682 3.63181 12.6667 4 12.6667H5.33333C5.70152 12.6667 6 12.3682 6 12C6 11.6318 5.70152 11.3333 5.33333 11.3333H4C3.63181 11.3333 3.33333 11.6318 3.33333 12ZM10 11.6667C10 12.219 10.4477 12.6667 11 12.6667H11.6667C12.219 12.6667 12.6667 12.219 12.6667 11.6667V9.66667C12.6667 9.11438 12.219 8.66667 11.6667 8.66667H11C10.4477 8.66667 10 9.11438 10 9.66667V11.6667ZM8.66667 3C8.66667 2.44772 9.11438 2 9.66667 2H13C13.5523 2 14 2.44772 14 3V5C14 5.55228 13.5523 6 13 6H9.66667C9.11438 6 8.66667 5.55228 8.66667 5V3ZM10.6667 3.33333C10.2985 3.33333 10 3.63181 10 4C10 4.36819 10.2985 4.66667 10.6667 4.66667H12C12.3682 4.66667 12.6667 4.36819 12.6667 4C12.6667 3.63181 12.3682 3.33333 12 3.33333H10.6667Z",fill:"currentColor"}},{name:"apple-f",height:16,width:16,path:{d:"M7.74937 4.8149C7.16537 4.8149 6.26137 4.1509 5.30937 4.1749C4.05337 4.1909 2.90137 4.90289 2.25337 6.03089C0.949374 8.29489 1.91737 11.6389 3.18937 13.4789C3.81337 14.3749 4.54937 15.3829 5.52537 15.3509C6.46137 15.3109 6.81337 14.7429 7.94937 14.7429C9.07737 14.7429 9.39737 15.3509 10.3894 15.3269C11.3974 15.3109 12.0374 14.4149 12.6534 13.5109C13.3654 12.4709 13.6614 11.4629 13.6774 11.4069C13.6534 11.3989 11.7174 10.6549 11.6934 8.4149C11.6774 6.54289 13.2214 5.64689 13.2934 5.60689C12.4134 4.31889 11.0614 4.1749 10.5894 4.1429C9.35737 4.0469 8.32537 4.8149 7.74937 4.8149ZM9.82937 2.92689C10.3494 2.30289 10.6934 1.43089 10.5974 0.566895C9.85337 0.598895 8.95737 1.06289 8.42137 1.68689C7.94137 2.23889 7.52537 3.12689 7.63737 3.9749C8.46137 4.03889 9.30937 3.55089 9.82937 2.92689Z",fill:"currentColor"}},{name:"windows-f",height:16,width:16,path:{d:"M7.66667 2V7.66667H2V2H7.66667ZM7.66667 14H2V8.33333H7.66667V14ZM8.33333 2H14V7.66667H8.33333V2ZM14 8.33333V14H8.33333V8.33333H14Z",fill:"currentColor"}},{name:"tux-f",height:16,width:16,path:{d:"M13.2754 9.68604C13.1386 9.26233 12.9885 8.84302 12.8254 8.42871L12.2187 6.93137C12.2187 6.91404 12.2267 6.61937 12.2267 6.46737C12.2267 3.90671 11.0047 1.33337 8.00007 1.33337C4.9954 1.33337 3.7734 3.90671 3.7734 6.46671C3.7734 6.61937 3.78073 6.91404 3.7814 6.93137L3.17473 8.42871C3.0094 8.85737 2.84473 9.30337 2.72473 9.68604C2.1514 11.5107 2.3374 12.266 2.47873 12.2827C2.78207 12.3187 3.6594 10.9094 3.6594 10.9094C3.6594 11.7254 4.08407 12.7907 5.0034 13.56C4.66007 13.6647 4.23873 13.826 3.9674 14.0234C3.72407 14.2014 3.75473 14.3834 3.79873 14.4567C3.9914 14.7774 7.10207 14.6614 8.00073 14.5614C8.89873 14.6614 12.0101 14.7774 12.2021 14.456C12.2461 14.3827 12.2767 14.2014 12.0334 14.0234C11.7621 13.826 11.3407 13.6647 10.9967 13.5594C11.9161 12.7907 12.3407 11.7254 12.3407 10.9087C12.3407 10.9087 13.2181 12.3187 13.5214 12.282C13.6627 12.2654 13.8481 11.5107 13.2747 9.68604",fill:"currentColor"}},{name:"more-vert-f",height:16,width:16,path:{d:"M8.00008 2C7.26675 2 6.66675 2.6 6.66675 3.33333C6.66675 4.06667 7.26675 4.66667 8.00008 4.66667C8.73341 4.66667 9.33341 4.06667 9.33341 3.33333C9.33341 2.6 8.73341 2 8.00008 2ZM8.00008 11.3333C7.26675 11.3333 6.66675 11.9333 6.66675 12.6667C6.66675 13.4 7.26675 14 8.00008 14C8.73341 14 9.33341 13.4 9.33341 12.6667C9.33341 11.9333 8.73341 11.3333 8.00008 11.3333ZM8.00008 6.66667C7.26675 6.66667 6.66675 7.26667 6.66675 8C6.66675 8.73333 7.26675 9.33333 8.00008 9.33333C8.73341 9.33333 9.33341 8.73333 9.33341 8C9.33341 7.26667 8.73341 6.66667 8.00008 6.66667Z",fill:"currentColor"}},{name:"spinner",height:24,width:24,path:{d:"M12 2C12.2652 2 12.5196 2.10536 12.7071 2.29289C12.8946 2.48043 13 2.73478 13 3V6C13 6.26522 12.8946 6.51957 12.7071 6.70711C12.5196 6.89464 12.2652 7 12 7C11.7348 7 11.4804 6.89464 11.2929 6.70711C11.1054 6.51957 11 6.26522 11 6V3C11 2.73478 11.1054 2.48043 11.2929 2.29289C11.4804 2.10536 11.7348 2 12 2ZM12 17C12.2652 17 12.5196 17.1054 12.7071 17.2929C12.8946 17.4804 13 17.7348 13 18V21C13 21.2652 12.8946 21.5196 12.7071 21.7071C12.5196 21.8946 12.2652 22 12 22C11.7348 22 11.4804 21.8946 11.2929 21.7071C11.1054 21.5196 11 21.2652 11 21V18C11 17.7348 11.1054 17.4804 11.2929 17.2929C11.4804 17.1054 11.7348 17 12 17ZM22 12C22 12.2652 21.8946 12.5196 21.7071 12.7071C21.5196 12.8946 21.2652 13 21 13H18C17.7348 13 17.4804 12.8946 17.2929 12.7071C17.1054 12.5196 17 12.2652 17 12C17 11.7348 17.1054 11.4804 17.2929 11.2929C17.4804 11.1054 17.7348 11 18 11H21C21.2652 11 21.5196 11.1054 21.7071 11.2929C21.8946 11.4804 22 11.7348 22 12ZM7 12C7 12.2652 6.89464 12.5196 6.70711 12.7071C6.51957 12.8946 6.26522 13 6 13H3C2.73478 13 2.48043 12.8946 2.29289 12.7071C2.10536 12.5196 2 12.2652 2 12C2 11.7348 2.10536 11.4804 2.29289 11.2929C2.48043 11.1054 2.73478 11 3 11H6C6.26522 11 6.51957 11.1054 6.70711 11.2929C6.89464 11.4804 7 11.7348 7 12ZM19.071 19.071C18.8835 19.2585 18.6292 19.3638 18.364 19.3638C18.0988 19.3638 17.8445 19.2585 17.657 19.071L15.536 16.95C15.3538 16.7614 15.253 16.5088 15.2553 16.2466C15.2576 15.9844 15.3628 15.7336 15.5482 15.5482C15.7336 15.3628 15.9844 15.2576 16.2466 15.2553C16.5088 15.253 16.7614 15.3538 16.95 15.536L19.071 17.656C19.164 17.7489 19.2377 17.8592 19.2881 17.9806C19.3384 18.102 19.3643 18.2321 19.3643 18.3635C19.3643 18.4949 19.3384 18.625 19.2881 18.7464C19.2377 18.8678 19.164 18.9781 19.071 19.071ZM8.464 8.464C8.27647 8.65147 8.02216 8.75679 7.757 8.75679C7.49184 8.75679 7.23753 8.65147 7.05 8.464L4.93 6.344C4.74236 6.15649 4.63689 5.90212 4.6368 5.63685C4.6367 5.37158 4.74199 5.11714 4.9295 4.9295C5.11701 4.74186 5.37138 4.63639 5.63665 4.6363C5.90192 4.6362 6.15636 4.74149 6.344 4.929L8.464 7.05C8.65147 7.23753 8.75679 7.49184 8.75679 7.757C8.75679 8.02216 8.65147 8.27647 8.464 8.464ZM4.93 19.071C4.74253 18.8835 4.63721 18.6292 4.63721 18.364C4.63721 18.0988 4.74253 17.8445 4.93 17.657L7.051 15.536C7.14325 15.4405 7.25359 15.3643 7.3756 15.3119C7.4976 15.2595 7.62882 15.2319 7.7616 15.2307C7.89438 15.2296 8.02606 15.2549 8.14895 15.3052C8.27185 15.3555 8.3835 15.4297 8.4774 15.5236C8.57129 15.6175 8.64554 15.7291 8.69582 15.852C8.7461 15.9749 8.7714 16.1066 8.77025 16.2394C8.7691 16.3722 8.74151 16.5034 8.6891 16.6254C8.63669 16.7474 8.56051 16.8578 8.465 16.95L6.345 19.071C6.25213 19.164 6.14184 19.2377 6.02044 19.2881C5.89904 19.3384 5.76892 19.3643 5.6375 19.3643C5.50608 19.3643 5.37596 19.3384 5.25456 19.2881C5.13316 19.2377 5.02287 19.164 4.93 19.071ZM15.536 8.464C15.3485 8.27647 15.2432 8.02216 15.2432 7.757C15.2432 7.49184 15.3485 7.23753 15.536 7.05L17.656 4.929C17.8435 4.74136 18.0979 4.63589 18.3631 4.6358C18.6284 4.6357 18.8829 4.74099 19.0705 4.9285C19.2581 5.11601 19.3636 5.37038 19.3637 5.63565C19.3638 5.90092 19.2585 6.15536 19.071 6.343L16.95 8.464C16.7625 8.65147 16.5082 8.75679 16.243 8.75679C15.9778 8.75679 15.7235 8.65147 15.536 8.464Z",fill:"currentColor"}},{name:"building",height:16,width:16,path:[{d:"M14.5863 6.55951L13.4883 5.41665C13.4367 5.36294 13.367 5.33321 13.294 5.33321H13.0195V5.04749C13.0195 4.9715 12.9904 4.89891 12.9393 4.8452L10.7434 2.5595C10.3031 2.10125 9.56523 1.33325 8.07854 1.33325C6.59296 1.33325 5.91164 2.0424 5.41371 2.55953C5.3352 2.64125 5.3116 2.76409 5.35442 2.87096C5.3967 2.97781 5.49717 3.04754 5.60806 3.04754C7.82215 3.04754 8.07854 4.02583 8.07854 4.76182C8.07854 5.37326 7.74585 5.83895 7.53339 6.07611L9.32696 7.94297C9.81228 7.60126 10.5018 7.19782 10.8235 7.22755V7.61897C10.8235 7.69496 10.8526 7.76755 10.9037 7.82125L12.2762 9.24981C12.3278 9.30296 12.3975 9.33325 12.4705 9.33325H12.4799C12.5562 9.33097 12.6275 9.29554 12.677 9.2361L14.5985 6.9504C14.694 6.83667 14.6884 6.66639 14.5863 6.55951Z",fill:"currentColor"},{d:"M1.74346 12.1164C1.47926 12.3946 1.33331 12.7649 1.33331 13.1923C1.33331 14.0055 1.96102 14.6666 2.73303 14.6666C3.12637 14.6666 3.50397 14.4906 3.7687 14.1843L8.66665 8.50949L6.91753 6.66663L1.74346 12.1164Z",fill:"currentColor"}]},{name:"upload-cloud-f",height:16,width:16,path:{d:"M4.66662 13.9874C3.75599 13.9175 2.89073 13.5616 2.19439 12.9706C1.49806 12.3796 1.00625 11.5838 0.789194 10.6966C0.572139 9.80946 0.640935 8.87642 0.98576 8.0307C1.33058 7.18498 1.93381 6.46984 2.70929 5.98738C2.8743 4.70077 3.50249 3.51838 4.4763 2.66148C5.45012 1.80459 6.70281 1.33191 7.99996 1.33191C9.2971 1.33191 10.5498 1.80459 11.5236 2.66148C12.4974 3.51838 13.1256 4.70077 13.2906 5.98738C14.0661 6.46984 14.6693 7.18498 15.0142 8.0307C15.359 8.87642 15.4278 9.80946 15.2107 10.6966C14.9937 11.5838 14.5019 12.3796 13.8055 12.9706C13.1092 13.5616 12.2439 13.9175 11.3333 13.9874V14H4.66662V13.9874ZM8.66662 8.66671H10.6666L7.99996 5.33338L5.33329 8.66671H7.33329V11.3334H8.66662V8.66671Z",fill:"currentColor"}},{name:"story",height:16,width:16,path:[{d:"M9.7687 0.697932L4.60126 14.5494C4.39401 15.105 4.67506 15.7238 5.22898 15.9316C5.78291 16.1395 6.39995 15.8576 6.6072 15.3021L11.7746 1.45059C11.9819 0.895067 11.7008 0.27624 11.1469 0.0684003C10.593 -0.13944 9.97594 0.142411 9.7687 0.697932Z",fill:"currentColor"},{d:"M14.215 1.99726L12.1532 7.45533C11.9748 7.93886 12.2167 8.4775 12.6934 8.65841C13.1701 8.83932 13.7012 8.59399 13.8795 8.11045L15.9413 2.65238C16.1197 2.16884 15.8778 1.63021 15.4011 1.4493C14.9244 1.26839 14.3934 1.51372 14.215 1.99726Z",fill:"currentColor"},{d:"M2.12051 8.30218L0.0586835 13.6661C-0.119671 14.1413 0.122195 14.6707 0.598906 14.8485C1.07562 15.0263 1.60665 14.7852 1.78501 14.31L3.84683 8.94601C4.02519 8.47081 3.78332 7.94146 3.30661 7.76367C2.8299 7.58588 2.29887 7.82698 2.12051 8.30218Z",fill:"currentColor"},{d:"M13.0109 12.7748L10.6424 13.7631C10.2202 13.9393 10.0203 14.4255 10.196 14.849C10.3717 15.2725 10.8565 15.473 11.2788 15.2968L14.7986 13.8279C14.9604 13.7604 15.1006 13.6495 15.2038 13.5074C15.5146 13.0796 15.4207 12.4802 14.9941 12.1685L12.4651 10.3209C12.0954 10.0508 11.5774 10.1324 11.3081 10.5032C11.0388 10.8739 11.1201 11.3934 11.4898 11.6635L13.0109 12.7748Z",fill:"currentColor"},{d:"M5.76823 2.66217C6.19052 2.48594 6.3904 1.99977 6.21468 1.57626C6.03897 1.15276 5.55419 0.952296 5.1319 1.12852L1.6121 2.59735C1.45026 2.66489 1.31006 2.77578 1.20684 2.91787C0.896095 3.34567 0.989986 3.94511 1.41656 4.25675L3.94556 6.10439C4.31525 6.37448 4.83327 6.29288 5.10259 5.92212C5.3719 5.55136 5.29053 5.03185 4.92084 4.76176L3.39981 3.65052L5.76823 2.66217Z",fill:"currentColor"}]},{name:"storyscript",width:82,height:16,path:{"fill-rule":"evenodd","clip-rule":"evenodd",d:"M5.00831 5.62846L3.95393 5.4195C2.47913 5.13626 2.00097 4.70472 2.00097 3.76422C2.00097 2.84804 2.79789 2.20928 4.23485 2.20928C5.53785 2.20928 6.21067 2.73615 6.47528 3.65783C6.61151 4.00941 6.90909 4.18304 7.26299 4.18304C7.34944 4.18304 7.43402 4.17225 7.53708 4.1521C7.91484 4.07823 8.19942 3.79484 8.19942 3.43063C8.19942 3.3388 8.18078 3.24769 8.14422 3.15832C7.68286 1.68002 6.46829 0.718366 4.23485 0.718366C1.72617 0.718366 0.284505 1.98448 0.284505 3.76422C0.284505 5.61582 1.23418 6.51186 3.51902 6.97353L4.65544 7.20964C6.29183 7.53506 6.83837 7.99234 6.83837 9.01832C6.83837 10.1127 5.90743 10.8096 4.37702 10.8096C2.71511 10.8096 2.08851 10.2315 1.73904 8.95977C1.63666 8.60933 1.32188 8.41881 0.950811 8.41881C0.903388 8.41881 0.858085 8.42225 0.807658 8.42898C0.775506 8.43326 0.743367 8.4385 0.681976 8.44881C0.278733 8.54229 0.000172508 8.82454 0.000172508 9.19901L7.14454e-05 9.21658C-9.95327e-06 9.22528 -7.32135e-05 9.23203 0.000183444 9.23878C0.00107856 9.26231 0.00586496 9.28569 0.0273445 9.39061L0.0273472 9.39063L0.0320246 9.41348C0.613676 11.3353 1.7067 12.3144 4.4481 12.3144C6.97906 12.3144 8.56905 10.9825 8.56905 9.00442C8.56905 7.03988 7.52245 6.14845 5.00831 5.62846ZM11.2698 2.54109C11.2698 2.08566 11.5859 1.81649 12.0783 1.81649C12.5518 1.81649 12.8867 2.09278 12.8867 2.54109V4.05434H14.5377C14.9766 4.05434 15.2325 4.34028 15.2325 4.77895C15.2325 5.20093 14.964 5.48965 14.5377 5.48965H12.8867V9.97744C12.8867 10.5474 13.0949 10.7818 13.5426 10.7818C13.8292 10.7818 14.0369 10.7177 14.3072 10.5627C14.4222 10.5064 14.5289 10.476 14.6373 10.476C14.9157 10.476 15.1484 10.6631 15.261 10.9384C15.3101 11.0504 15.332 11.179 15.332 11.3118C15.332 11.5869 15.1987 11.8283 14.9368 11.9647C14.4567 12.1913 14.0471 12.2866 13.4573 12.2866C12.0902 12.2866 11.2698 11.5441 11.2698 10.0886V5.48965H10.3296C9.90579 5.48965 9.66332 5.20621 9.66332 4.77895C9.66332 4.34647 9.90969 4.05434 10.3438 4.05434H11.2698V2.54109ZM20.1495 3.85975C22.484 3.85975 23.9292 5.50819 23.9292 8.05929C23.9292 10.606 22.4604 12.3144 20.1779 12.3144C17.7699 12.3144 16.2986 10.6624 16.2986 8.05929C16.2986 5.52304 17.7867 3.85975 20.1495 3.85975ZM17.9438 8.10098C17.9438 6.31647 18.7765 5.26726 20.1919 5.26726C21.4981 5.26726 22.2836 6.3269 22.2836 8.04538C22.2836 9.86215 21.4972 10.9069 20.0924 10.9069C18.7648 10.9069 17.9438 9.82351 17.9438 8.10098ZM29.4936 3.90278C29.5972 3.89012 29.671 3.88763 29.8269 3.88763C30.0284 3.88763 30.1755 3.90736 30.4169 3.95849C30.8102 4.00864 31.0192 4.25786 31.0192 4.62614C31.0192 4.69725 31.0114 4.75543 30.9876 4.89466C30.9117 5.28457 30.6372 5.57314 30.2676 5.57314C30.1862 5.57314 30.1452 5.5698 30.105 5.55565L30.0392 5.54184C29.8094 5.49392 29.6697 5.47584 29.4611 5.4758C28.9424 5.48759 28.5098 5.73064 28.1511 6.17944C27.795 6.60795 27.6058 7.08826 27.593 7.61458V11.4509C27.593 11.9058 27.2546 12.1755 26.7845 12.1755C26.281 12.1755 25.9476 11.9138 25.9476 11.4509V4.68174C25.9476 4.22991 26.2837 3.97103 26.7845 3.97103C27.2519 3.97103 27.593 4.23777 27.593 4.68174V4.84196C28.0285 4.30459 28.7002 3.92938 29.4936 3.90278ZM35.7644 9.06858L37.5551 4.4554C37.6738 4.14048 37.9343 3.98482 38.2675 3.98482C38.3507 3.98482 38.4136 3.99249 38.5654 4.01794C38.9149 4.10785 39.1612 4.36921 39.1612 4.69552C39.1612 4.78597 39.1431 4.88777 39.1059 4.9961L35.7505 13.1279C35.1417 14.5906 34.4503 15.2194 33.121 15.2194C32.7356 15.2194 32.3757 15.1571 32.0428 15.0296C31.7109 14.9161 31.5307 14.6713 31.5307 14.3697C31.5307 14.2453 31.5566 14.1364 31.615 13.9846C31.743 13.6806 31.99 13.4922 32.2965 13.4922C32.411 13.4922 32.5176 13.5131 32.6318 13.5609C32.9018 13.674 33.0912 13.7285 33.2774 13.7285C33.7178 13.7285 33.9859 13.418 34.287 12.6657L34.6586 11.7576L31.8133 5.00953C31.7776 4.9221 31.7581 4.81762 31.7581 4.72332C31.7581 4.40465 32.0073 4.13054 32.3506 4.01884C32.4647 3.98695 32.5795 3.97092 32.6945 3.97092C33.0116 3.97092 33.2723 4.12479 33.3921 4.42604L35.1836 9.04138C35.2556 9.22895 35.3231 9.43508 35.3981 9.68927C35.4101 9.72983 35.4323 9.80722 35.4582 9.89805C35.54 9.65823 35.6406 9.38774 35.7644 9.06858ZM34.6851 11.6928L34.6858 11.8221L34.6586 11.7576L34.6851 11.6928ZM40.5114 6.14116C40.5114 7.53106 41.2677 8.20475 43.1222 8.55854L43.9325 8.71143C45.1008 8.93743 45.4588 9.23361 45.4588 9.85238C45.4588 10.4542 44.7978 10.8791 43.7509 10.8791C42.7239 10.8791 42.1887 10.5401 41.9498 9.7875C41.8453 9.46394 41.5434 9.29457 41.1777 9.29457C41.1151 9.29457 41.0648 9.30232 40.9463 9.32551C40.5783 9.40125 40.2981 9.66996 40.2981 10.0192L40.298 10.0368V10.037L40.298 10.0457C40.298 10.0504 40.298 10.0547 40.2982 10.0589C40.299 10.0825 40.3038 10.1058 40.3253 10.2106L40.33 10.2336C40.7364 11.5962 41.9057 12.3145 43.7509 12.3145C45.7643 12.3145 47.0757 11.3106 47.0757 9.82458C47.0757 8.32779 46.3572 7.70333 44.3532 7.29639L43.472 7.11576C42.39 6.88906 42.1426 6.68281 42.1426 6.11336C42.1426 5.5924 42.6673 5.2395 43.6656 5.2395C44.437 5.2395 44.9695 5.53934 45.1245 6.06381C45.211 6.38543 45.5119 6.55997 45.8692 6.55997C45.9443 6.55997 46.0278 6.54883 46.1291 6.52903C46.4972 6.4295 46.763 6.17966 46.763 5.84926C46.763 5.78397 46.7541 5.73792 46.7293 5.64072C46.3305 4.5003 45.2163 3.84588 43.623 3.84588C41.7348 3.84588 40.5114 4.7482 40.5114 6.14116ZM52.2342 3.84588C49.8893 3.84588 48.4828 5.53241 48.4828 8.10102C48.4828 10.6529 49.9087 12.3145 52.2484 12.3145C53.9859 12.3145 54.9467 11.5706 55.4758 10.2486C55.5242 10.1385 55.5448 10.046 55.5448 9.93578C55.5448 9.61072 55.302 9.3734 54.9569 9.29842C54.8718 9.25968 54.7532 9.23897 54.6226 9.23897C54.3091 9.23897 54.0576 9.40772 53.9386 9.72346C53.646 10.5365 53.2 10.893 52.2768 10.893C50.9103 10.893 50.1424 9.87027 50.1424 8.08712C50.1424 6.34475 50.9353 5.26729 52.2626 5.26729C53.1472 5.26729 53.5813 5.62048 53.882 6.40966C54.0042 6.70019 54.2375 6.83796 54.5373 6.83796C54.6553 6.83796 54.7839 6.82121 54.8954 6.79004C55.2274 6.66114 55.4452 6.42918 55.4452 6.11336C55.4452 6.03076 55.4249 5.92616 55.39 5.84105C54.8856 4.5981 53.91 3.84588 52.2342 3.84588ZM61.3146 3.88763C61.1588 3.88763 61.0849 3.89012 60.9813 3.90278C60.188 3.92938 59.5162 4.30459 59.0807 4.84196V4.68174C59.0807 4.23777 58.7397 3.97103 58.2722 3.97103C57.7714 3.97103 57.4353 4.22991 57.4353 4.68174V11.4509C57.4353 11.9138 57.7687 12.1755 58.2722 12.1755C58.7423 12.1755 59.0807 11.9058 59.0807 11.4509V7.61458C59.0936 7.08826 59.2828 6.60795 59.6389 6.17944C59.9975 5.73064 60.4301 5.48759 60.9488 5.4758C61.1575 5.47584 61.2971 5.49392 61.5269 5.54184L61.5927 5.55565C61.6329 5.5698 61.6739 5.57314 61.7553 5.57314C62.125 5.57314 62.3994 5.28457 62.4754 4.89466C62.4991 4.75543 62.5069 4.69725 62.5069 4.62614C62.5069 4.25786 62.2979 4.00864 61.9046 3.95849C61.6632 3.90736 61.5162 3.88763 61.3146 3.88763ZM63.8856 4.68162V11.4508C63.8856 11.9159 64.1961 12.1754 64.6941 12.1754C65.1855 12.1754 65.5167 11.9113 65.5167 11.4508V4.68162C65.5167 4.23209 65.1828 3.97092 64.6941 3.97092C64.1987 3.97092 63.8856 4.22767 63.8856 4.68162ZM65.8295 1.9295C65.8295 1.31174 65.3312 0.8296 64.7082 0.8296C64.0736 0.8296 63.5728 1.30924 63.5728 1.9295C63.5728 2.56112 64.071 3.0433 64.7082 3.0433C65.3337 3.0433 65.8295 2.5586 65.8295 1.9295ZM69.3228 14.3837V11.3257C69.3228 11.2895 69.3225 11.2537 69.3219 11.2184C69.8776 11.9253 70.6636 12.3005 71.6989 12.3005C73.8921 12.3005 75.2654 10.611 75.2654 8.01759C75.2654 5.43018 73.9674 3.85975 71.7557 3.85975C70.6735 3.85975 69.8877 4.24213 69.3222 4.98499C69.3226 4.95753 69.3228 4.9305 69.3228 4.90405V4.65386C69.3228 4.22095 68.994 3.97095 68.5285 3.97095C68.0332 3.97095 67.7201 4.22771 67.7201 4.68166V14.3837C67.7201 14.8279 68.0389 15.0944 68.5285 15.0944C69.0063 15.0944 69.3228 14.8255 69.3228 14.3837ZM71.5708 5.28112C70.1609 5.28112 69.2943 6.37102 69.2943 8.05925C69.2943 9.73835 70.1852 10.8652 71.5424 10.8652C72.8401 10.8652 73.6199 9.79777 73.6199 8.04535C73.6199 6.2884 72.8754 5.28112 71.5708 5.28112ZM78.7462 1.81649C78.2539 1.81649 77.9378 2.08566 77.9378 2.54109V4.05434H77.0118C76.5777 4.05434 76.3313 4.34647 76.3313 4.77895C76.3313 5.20621 76.5738 5.48965 76.9976 5.48965H77.9378V10.0886C77.9378 11.5441 78.7581 12.2866 80.1253 12.2866C80.7151 12.2866 81.1247 12.1913 81.6048 11.9647C81.8666 11.8283 82 11.5869 82 11.3118C82 11.179 81.9781 11.0504 81.9289 10.9384C81.8164 10.6631 81.5836 10.476 81.3052 10.476C81.1969 10.476 81.0902 10.5064 80.9752 10.5627C80.7049 10.7177 80.4972 10.7818 80.2106 10.7818C79.7628 10.7818 79.5547 10.5474 79.5547 9.97744V5.48965H81.2057C81.632 5.48965 81.9005 5.20093 81.9005 4.77895C81.9005 4.34028 81.6446 4.05434 81.2057 4.05434H79.5547V2.54109C79.5547 2.09278 79.2198 1.81649 78.7462 1.81649Z",fill:"currentColor"}},{name:"plus-c",width:16,height:16,path:{d:"M7.33325 7.33331V4.66665H8.66659V7.33331H11.3333V8.66665H8.66659V11.3333H7.33325V8.66665H4.66659V7.33331H7.33325ZM7.99992 14.6666C4.31792 14.6666 1.33325 11.682 1.33325 7.99998C1.33325 4.31798 4.31792 1.33331 7.99992 1.33331C11.6819 1.33331 14.6666 4.31798 14.6666 7.99998C14.6666 11.682 11.6819 14.6666 7.99992 14.6666ZM7.99992 13.3333C9.41441 13.3333 10.771 12.7714 11.7712 11.7712C12.7713 10.771 13.3333 9.41447 13.3333 7.99998C13.3333 6.58549 12.7713 5.22894 11.7712 4.22874C10.771 3.22855 9.41441 2.66665 7.99992 2.66665C6.58543 2.66665 5.22888 3.22855 4.22868 4.22874C3.22849 5.22894 2.66659 6.58549 2.66659 7.99998C2.66659 9.41447 3.22849 10.771 4.22868 11.7712C5.22888 12.7714 6.58543 13.3333 7.99992 13.3333V13.3333Z",fill:"currentColor"}},{name:"error-warning-f",height:16,width:16,path:{d:"M7.99992 14.6667C4.31792 14.6667 1.33325 11.682 1.33325 8.00004C1.33325 4.31804 4.31792 1.33337 7.99992 1.33337C11.6819 1.33337 14.6666 4.31804 14.6666 8.00004C14.6666 11.682 11.6819 14.6667 7.99992 14.6667ZM7.33325 10V11.3334H8.66659V10H7.33325ZM7.33325 4.66671V8.66671H8.66659V4.66671H7.33325Z",fill:"currentColor"}},{name:"cross",height:16,width:16,path:{d:"M8.00008 6.81496L12.1484 2.66663L13.3334 3.85162L9.18508 7.99996L13.3334 12.1483L12.1484 13.3333L8.00008 9.18496L3.85175 13.3333L2.66675 12.1483L6.81508 7.99996L2.66675 3.85162L3.85175 2.66663L8.00008 6.81496Z",fill:"currentColor"}},{name:"check",width:16,height:16,path:{d:"M6.66674 10.1147L12.7947 3.98602L13.7381 4.92869L6.66674 12L2.42407 7.75736L3.36674 6.81469L6.66674 10.1147Z",fill:"currentColor"}},{name:"stop",width:16,height:16,path:{d:"M8.00004 14.6668C4.31804 14.6668 1.33337 11.6822 1.33337 8.00016C1.33337 4.31816 4.31804 1.3335 8.00004 1.3335C11.682 1.3335 14.6667 4.31816 14.6667 8.00016C14.6667 11.6822 11.682 14.6668 8.00004 14.6668ZM8.00004 13.3335C9.41453 13.3335 10.7711 12.7716 11.7713 11.7714C12.7715 10.7712 13.3334 9.41465 13.3334 8.00016C13.3334 6.58567 12.7715 5.22912 11.7713 4.22893C10.7711 3.22873 9.41453 2.66683 8.00004 2.66683C6.58555 2.66683 5.229 3.22873 4.2288 4.22893C3.22861 5.22912 2.66671 6.58567 2.66671 8.00016C2.66671 9.41465 3.22861 10.7712 4.2288 11.7714C5.229 12.7716 6.58555 13.3335 8.00004 13.3335ZM6.00004 6.00016H10V10.0002H6.00004V6.00016Z",fill:"currentColor"}},{name:"trash",width:16,height:16,path:[{d:"M2 4H3.33333H14",stroke:"currentColor","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"},{d:"M5.33301 3.99967V2.66634C5.33301 2.31272 5.47348 1.97358 5.72353 1.72353C5.97358 1.47348 6.31272 1.33301 6.66634 1.33301H9.33301C9.68663 1.33301 10.0258 1.47348 10.2758 1.72353C10.5259 1.97358 10.6663 2.31272 10.6663 2.66634V3.99967M12.6663 3.99967V13.333C12.6663 13.6866 12.5259 14.0258 12.2758 14.2758C12.0258 14.5259 11.6866 14.6663 11.333 14.6663H4.66634C4.31272 14.6663 3.97358 14.5259 3.72353 14.2758C3.47348 14.0258 3.33301 13.6866 3.33301 13.333V3.99967H12.6663Z",stroke:"currentColor","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"}]},{name:"start",width:16,height:16,path:{d:"M8.00004 14.6668C4.31804 14.6668 1.33337 11.6822 1.33337 8.00016C1.33337 4.31816 4.31804 1.3335 8.00004 1.3335C11.682 1.3335 14.6667 4.31816 14.6667 8.00016C14.6667 11.6822 11.682 14.6668 8.00004 14.6668ZM8.00004 13.3335C9.41453 13.3335 10.7711 12.7716 11.7713 11.7714C12.7715 10.7712 13.3334 9.41465 13.3334 8.00016C13.3334 6.58567 12.7715 5.22912 11.7713 4.22893C10.7711 3.22873 9.41453 2.66683 8.00004 2.66683C6.58555 2.66683 5.229 3.22873 4.2288 4.22893C3.22861 5.22912 2.66671 6.58567 2.66671 8.00016C2.66671 9.41465 3.22861 10.7712 4.2288 11.7714C5.229 12.7716 6.58555 13.3335 8.00004 13.3335V13.3335ZM7.08137 5.61016L10.334 7.77816C10.3706 7.80251 10.4006 7.83551 10.4214 7.87424C10.4421 7.91297 10.453 7.95623 10.453 8.00016C10.453 8.0441 10.4421 8.08736 10.4214 8.12609C10.4006 8.16482 10.3706 8.19782 10.334 8.22216L7.08071 10.3902C7.04059 10.4168 6.99403 10.432 6.94596 10.4343C6.89788 10.4365 6.85009 10.4258 6.80765 10.4031C6.7652 10.3804 6.72969 10.3466 6.70488 10.3054C6.68007 10.2641 6.66688 10.217 6.66671 10.1688V5.8315C6.6668 5.78326 6.67997 5.73596 6.70481 5.69462C6.72966 5.65328 6.76525 5.61945 6.8078 5.59674C6.85036 5.57402 6.89827 5.56328 6.94644 5.56564C6.99462 5.56801 7.04125 5.58339 7.08137 5.61016V5.61016Z",fill:"currentColor"}},{name:"list-check",width:16,height:16,path:{d:"M7.33333 2.6665H14V3.99984H7.33333V2.6665ZM7.33333 5.33317H11.3333V6.6665H7.33333V5.33317ZM7.33333 9.33317H14V10.6665H7.33333V9.33317ZM7.33333 11.9998H11.3333V13.3332H7.33333V11.9998ZM2 2.6665H6V6.6665H2V2.6665ZM3.33333 3.99984V5.33317H4.66667V3.99984H3.33333ZM2 9.33317H6V13.3332H2V9.33317ZM3.33333 10.6665V11.9998H4.66667V10.6665H3.33333Z",fill:"currentColor"}},{name:"file-copy",width:16,height:16,path:{d:"M4.66667 3.99998V1.99998C4.66667 1.82317 4.7369 1.6536 4.86193 1.52858C4.98695 1.40355 5.15652 1.33331 5.33333 1.33331H13.3333C13.5101 1.33331 13.6797 1.40355 13.8047 1.52858C13.9298 1.6536 14 1.82317 14 1.99998V11.3333C14 11.5101 13.9298 11.6797 13.8047 11.8047C13.6797 11.9297 13.5101 12 13.3333 12H11.3333V14C11.3333 14.368 11.0333 14.6666 10.662 14.6666H2.67133C2.58342 14.6672 2.49626 14.6503 2.41488 14.6171C2.3335 14.5838 2.25949 14.5348 2.19711 14.4728C2.13472 14.4109 2.0852 14.3372 2.05137 14.2561C2.01754 14.1749 2.00009 14.0879 2 14L2.002 4.66665C2.002 4.29865 2.302 3.99998 2.67333 3.99998H4.66667ZM3.33533 5.33331L3.33333 13.3333H10V5.33331H3.33533ZM6 3.99998H11.3333V10.6666H12.6667V2.66665H6V3.99998Z",fill:"currentColor"}},{name:"slack",width:16,height:16,path:[{"fill-rule":"evenodd","clip-rule":"evenodd",d:"M3.37297 10.1145C3.37297 11.0453 2.62237 11.7965 1.69234 11.7965C0.762314 11.7965 0.0117188 11.0428 0.0117188 10.1145C0.0117188 9.18632 0.762314 8.43262 1.69234 8.43262H3.37297V10.1145ZM4.21202 10.1145C4.21202 9.1838 4.96261 8.43262 5.89264 8.43262C6.82267 8.43262 7.57327 9.1838 7.57327 10.1145V14.3181C7.57327 15.2489 6.82267 16 5.89264 16C4.96261 16 4.21202 15.2489 4.21202 14.3181V10.1145Z",fill:"currentColor"},{"fill-rule":"evenodd","clip-rule":"evenodd",d:"M5.89356 3.36386C4.96353 3.36386 4.21294 2.61268 4.21294 1.68193C4.21294 0.751178 4.96353 0 5.89356 0C6.82359 0 7.57419 0.751178 7.57419 1.68193V3.36386H5.89356ZM5.89356 4.21621C6.82359 4.21621 7.57419 4.96739 7.57419 5.89814C7.57419 6.82889 6.82359 7.58007 5.89356 7.58007H1.68063C0.750595 7.58007 0 6.82636 0 5.89814C0 4.96991 0.750595 4.21621 1.68063 4.21621H5.89356Z",fill:"currentColor"},{"fill-rule":"evenodd","clip-rule":"evenodd",d:"M12.6261 5.89814C12.6261 4.96739 13.3767 4.21621 14.3067 4.21621C15.2367 4.21621 15.9873 4.96739 15.9873 5.89814C15.9873 6.82889 15.2367 7.58007 14.3067 7.58007H12.6261V5.89814ZM11.787 5.89814C11.787 6.82889 11.0364 7.58007 10.1064 7.58007C9.17638 7.58007 8.42578 6.82889 8.42578 5.89814V1.68193C8.42578 0.751178 9.17638 0 10.1064 0C11.0364 0 11.787 0.751178 11.787 1.68193V5.89814Z",fill:"currentColor"},{"fill-rule":"evenodd","clip-rule":"evenodd",d:"M10.1064 12.6362C11.0364 12.6362 11.787 13.3874 11.787 14.3181C11.787 15.2489 11.0364 16 10.1064 16C9.17638 16 8.42578 15.2489 8.42578 14.3181V12.6362H10.1064ZM10.1064 11.7965C9.17638 11.7965 8.42578 11.0453 8.42578 10.1145C8.42578 9.1838 9.17638 8.43262 10.1064 8.43262H14.3193C15.2494 8.43262 16 9.1838 16 10.1145C16 11.0453 15.2494 11.7965 14.3193 11.7965H10.1064Z",fill:"currentColor"}]},{name:"twitter",width:16,height:16,path:{d:"M14.7747 3.77062C14.2657 3.99575 13.726 4.1436 13.1734 4.20928C13.7559 3.86091 14.1918 3.31263 14.4 2.66662C13.8534 2.99195 13.254 3.21995 12.6294 3.34328C12.2098 2.89434 11.6536 2.59659 11.0473 2.49634C10.4411 2.39609 9.81866 2.49895 9.27688 2.78892C8.7351 3.07889 8.30429 3.53974 8.05144 4.09981C7.7986 4.65989 7.73787 5.2878 7.8787 5.88595C6.77011 5.83039 5.68559 5.5423 4.69556 5.04039C3.70553 4.53849 2.83212 3.83398 2.13204 2.97262C1.88423 3.39825 1.75401 3.8821 1.7547 4.37462C1.7547 5.34128 2.2467 6.19528 2.9947 6.69528C2.55204 6.68135 2.11912 6.56181 1.73204 6.34662V6.38128C1.73217 7.02508 1.95495 7.64903 2.3626 8.14732C2.77025 8.64562 3.33769 8.9876 3.9687 9.11528C3.55778 9.22664 3.12691 9.24306 2.7087 9.16328C2.88661 9.71744 3.23337 10.2021 3.70043 10.5494C4.16749 10.8966 4.73145 11.0891 5.31337 11.1C4.73502 11.5542 4.07282 11.8899 3.36462 12.0881C2.65642 12.2862 1.91612 12.3428 1.18604 12.2546C2.4605 13.0742 3.9441 13.5094 5.45937 13.508C10.588 13.508 13.3927 9.25928 13.3927 5.57462C13.3927 5.45462 13.3894 5.33328 13.384 5.21462C13.9299 4.82006 14.4011 4.3313 14.7754 3.77128L14.7747 3.77062Z",fill:"currentColor"}},{name:"github-f",width:16,height:16,path:{d:"M8.00004 1.33337C4.31671 1.33337 1.33337 4.31671 1.33337 8.00004C1.33262 9.39956 1.77258 10.7638 2.59085 11.8992C3.40912 13.0345 4.56414 13.8834 5.89204 14.3254C6.22537 14.3834 6.35004 14.1834 6.35004 14.008C6.35004 13.85 6.34137 13.3254 6.34137 12.7667C4.66671 13.0754 4.23337 12.3587 4.10004 11.9834C4.02471 11.7914 3.70004 11.2 3.41671 11.0414C3.18337 10.9167 2.85004 10.608 3.40804 10.6C3.93337 10.5914 4.30804 11.0834 4.43337 11.2834C5.03337 12.2914 5.99204 12.008 6.37471 11.8334C6.43337 11.4 6.60804 11.1087 6.80004 10.942C5.31671 10.7754 3.76671 10.2 3.76671 7.65004C3.76671 6.92471 4.02471 6.32537 4.45004 5.85804C4.38337 5.69137 4.15004 5.00804 4.51671 4.09137C4.51671 4.09137 5.07471 3.91671 6.35004 4.77537C6.89275 4.62475 7.45349 4.54894 8.01671 4.55004C8.58337 4.55004 9.15004 4.62471 9.68337 4.77471C10.958 3.90804 11.5167 4.09204 11.5167 4.09204C11.8834 5.00871 11.65 5.69204 11.5834 5.85871C12.008 6.32537 12.2667 6.91671 12.2667 7.65004C12.2667 10.2087 10.7087 10.7754 9.22538 10.942C9.46671 11.15 9.67537 11.55 9.67537 12.1754C9.67537 13.0667 9.66671 13.7834 9.66671 14.0087C9.66671 14.1834 9.79204 14.3914 10.1254 14.3247C11.4487 13.8779 12.5987 13.0274 13.4133 11.8928C14.228 10.7582 14.6663 9.39678 14.6667 8.00004C14.6667 4.31671 11.6834 1.33337 8.00004 1.33337Z",fill:"currentColor"}},{name:"arrow-up",width:16,height:16,path:{d:"M8.6667 5.21869V13.3334H7.33336V5.21869L3.75736 8.79469L2.8147 7.85202L8.00003 2.66669L13.1854 7.85202L12.2427 8.79469L8.6667 5.21869Z",fill:"currentColor"}},{name:"send",width:16,height:16,path:[{d:"M14.6666 1.33301L7.33331 8.66634",stroke:"currentColor","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"},{d:"M14.6666 1.33301L9.99998 14.6663L7.33331 8.66634L1.33331 5.99967L14.6666 1.33301Z",stroke:"currentColor","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"}]},{name:"heart",width:16,height:16,defs:{linearGradient:{id:"paint-icon-heart",x1:"-0.749985",y1:"5.53846",x2:"7.7068",y2:"14.2835",gradientUnits:"userSpaceOnUse",stops:[{"stop-color":"#EB0927"},{offset:"0.199999","stop-color":"#EB0927"},{offset:"0.2","stop-color":"#FFA509"},{offset:"0.399999","stop-color":"#FFA509"},{offset:"0.4","stop-color":"#FFE806"},{offset:"0.599999","stop-color":"#FFE806"},{offset:"0.6","stop-color":"#3AD42C"},{offset:"0.799999","stop-color":"#3AD42C"},{offset:"0.8","stop-color":"#0198CF"},{offset:"0.999999","stop-color":"#0198CF"},{offset:"1","stop-color":"#B34DC4"}]}},path:{fill:"url(#paint-icon-heart)",d:"M7.30669 13.762C-3.50286 9.8015 1.59476 -0.57066 7.69467 4.25473C7.868 4.39185 8.13199 4.39185 8.30533 4.25473C14.4052 -0.57066 19.5029 9.8015 8.6933 13.762C8.25226 13.9236 7.74774 13.9236 7.30669 13.762Z"}},{name:"chevron-right",width:16,height:16,path:{d:"M5 2L11 8L5 14",stroke:"currentColor","stroke-linecap":"round",fill:"none"}},{name:"chevron-left",width:16,height:16,path:{d:"M11 2L5 8L11 14",stroke:"currentColor","stroke-linecap":"round",fill:"none"}},{name:"line-dashed",width:53,height:2,path:{d:"M1 1H52",stroke:"currentColor","stroke-linecap":"round","stroke-dasharray":"4 4",fill:"none"}},{name:"play",width:16,height:16,path:{d:"M4.00002 4.33333V11.6667L10.6667 8.00045L4.00002 4.33333ZM3.17653 2.06258L12.9168 7.60996C12.9866 7.64985 13.0445 7.70689 13.0847 7.77539C13.125 7.8439 13.1461 7.92148 13.1461 8.00045C13.1461 8.07941 13.125 8.157 13.0847 8.22551C13.0445 8.29401 12.9866 8.35104 12.9168 8.39094L3.17653 13.9383C3.1059 13.9786 3.02561 13.9998 2.94382 14C2.86203 14.0002 2.78166 13.9792 2.71087 13.9392C2.64007 13.8992 2.58137 13.8417 2.54073 13.7724C2.50009 13.7031 2.47896 13.6245 2.47948 13.5447V2.45261C2.47945 2.373 2.50094 2.29478 2.54179 2.22587C2.58263 2.15696 2.64137 2.09979 2.71208 2.06013C2.78279 2.02047 2.86297 1.99973 2.94452 2C3.02607 2.00027 3.1061 2.02155 3.17653 2.06167V2.06258Z",fill:"currentColor"}},{name:"account-pin-o",width:16,height:16,path:{d:"M6.49671 14.4967C3.53871 13.8147 1.33337 11.1647 1.33337 8.00004C1.33337 4.31804 4.31804 1.33337 8.00004 1.33337C11.682 1.33337 14.6667 4.31804 14.6667 8.00004C14.6667 11.1647 12.4614 13.8147 9.50337 14.4967L8.00004 16L6.49671 14.4967V14.4967ZM4.67471 12.1714C5.29591 12.6682 6.02092 13.0188 6.79604 13.1974L7.16937 13.2834L8.00004 14.1147L8.83137 13.2834L9.20471 13.1967C10.0304 13.0064 10.7985 12.6209 11.4447 12.0727C11.0106 11.6271 10.4915 11.273 9.91814 11.0316C9.3448 10.7901 8.72884 10.666 8.10671 10.6667C6.74937 10.6667 5.52671 11.2467 4.67471 12.1714V12.1714ZM3.74404 11.2134C4.30434 10.6188 4.98049 10.1452 5.7308 9.82185C6.48111 9.49852 7.28969 9.33228 8.10671 9.33337C8.89447 9.33235 9.67469 9.48695 10.4025 9.78829C11.1304 10.0896 11.7915 10.5318 12.348 11.0894C12.9188 10.2861 13.2558 9.34047 13.3218 8.35732C13.3877 7.37417 13.18 6.39196 12.7217 5.51968C12.2634 4.64739 11.5724 3.91912 10.7254 3.41567C9.87832 2.91222 8.90837 2.65327 7.92311 2.66754C6.93785 2.68182 5.97581 2.96876 5.14372 3.49655C4.31163 4.02433 3.64201 4.77231 3.20917 5.65751C2.77632 6.54271 2.59717 7.53052 2.69158 8.51134C2.786 9.49217 3.15029 10.4277 3.74404 11.214V11.2134ZM8.00004 8.66671C7.2928 8.66671 6.61452 8.38576 6.11442 7.88566C5.61433 7.38556 5.33337 6.70728 5.33337 6.00004C5.33337 5.2928 5.61433 4.61452 6.11442 4.11442C6.61452 3.61433 7.2928 3.33337 8.00004 3.33337C8.70728 3.33337 9.38556 3.61433 9.88566 4.11442C10.3858 4.61452 10.6667 5.2928 10.6667 6.00004C10.6667 6.70728 10.3858 7.38556 9.88566 7.88566C9.38556 8.38576 8.70728 8.66671 8.00004 8.66671ZM8.00004 7.33337C8.35366 7.33337 8.6928 7.1929 8.94285 6.94285C9.1929 6.6928 9.33337 6.35366 9.33337 6.00004C9.33337 5.64642 9.1929 5.30728 8.94285 5.05723C8.6928 4.80718 8.35366 4.66671 8.00004 4.66671C7.64642 4.66671 7.30728 4.80718 7.05723 5.05723C6.80718 5.30728 6.66671 5.64642 6.66671 6.00004C6.66671 6.35366 6.80718 6.6928 7.05723 6.94285C7.30728 7.1929 7.64642 7.33337 8.00004 7.33337Z",fill:"currentColor"}},{name:"eye",width:16,height:16,path:{d:"M8.00002 2C11.5947 2 14.5854 4.58667 15.2127 8C14.586 11.4133 11.5947 14 8.00002 14C4.40535 14 1.41469 11.4133 0.787354 8C1.41402 4.58667 4.40535 2 8.00002 2ZM8.00002 12.6667C9.35967 12.6664 10.6789 12.2045 11.7419 11.3568C12.8049 10.509 13.5486 9.32552 13.8514 8C13.5475 6.67554 12.8033 5.49334 11.7404 4.64668C10.6776 3.80003 9.35889 3.33902 8.00002 3.33902C6.64115 3.33902 5.32248 3.80003 4.2596 4.64668C3.19673 5.49334 2.45253 6.67554 2.14869 8C2.45142 9.32552 3.19514 10.509 4.25812 11.3568C5.3211 12.2045 6.64037 12.6664 8.00002 12.6667ZM8.00002 11C7.20437 11 6.44131 10.6839 5.8787 10.1213C5.31609 9.55871 5.00002 8.79565 5.00002 8C5.00002 7.20435 5.31609 6.44129 5.8787 5.87868C6.44131 5.31607 7.20437 5 8.00002 5C8.79567 5 9.55873 5.31607 10.1213 5.87868C10.6839 6.44129 11 7.20435 11 8C11 8.79565 10.6839 9.55871 10.1213 10.1213C9.55873 10.6839 8.79567 11 8.00002 11ZM8.00002 9.66667C8.44205 9.66667 8.86597 9.49107 9.17853 9.17851C9.49109 8.86595 9.66669 8.44203 9.66669 8C9.66669 7.55797 9.49109 7.13405 9.17853 6.82149C8.86597 6.50893 8.44205 6.33333 8.00002 6.33333C7.55799 6.33333 7.13407 6.50893 6.82151 6.82149C6.50895 7.13405 6.33335 7.55797 6.33335 8C6.33335 8.44203 6.50895 8.86595 6.82151 9.17851C7.13407 9.49107 7.55799 9.66667 8.00002 9.66667Z",fill:"currentColor"}},{name:"cloud-f",width:16,height:16,path:{d:"M11.3333 4.66665C10.2475 4.66656 9.18756 4.99775 8.29497 5.61601C7.40237 6.23426 6.71966 7.11013 6.33801 8.12665L7.58734 8.59531C7.91734 7.71892 8.54427 6.98602 9.35897 6.52426C10.1737 6.06249 11.1245 5.9011 12.046 6.0682C12.9674 6.23529 13.8011 6.72028 14.4017 7.43872C15.0024 8.15715 15.3321 9.06351 15.3333 9.99998C15.3333 11.0608 14.9119 12.0783 14.1618 12.8284C13.4116 13.5786 12.3942 14 11.3333 14H4.66667C3.72216 14.0006 2.80791 13.6669 2.0858 13.0581C1.36369 12.4493 0.880322 11.6046 0.721278 10.6735C0.562235 9.7425 0.73778 8.78523 1.21683 7.97121C1.69588 7.1572 2.44753 6.53896 3.33867 6.22598C3.28157 5.07439 3.65281 3.94243 4.38082 3.04833C5.10883 2.15422 6.14206 1.56128 7.28133 1.38381C8.42059 1.20634 9.58522 1.45691 10.5507 2.08721C11.5162 2.71751 12.2141 3.68292 12.51 4.79731C12.1238 4.71037 11.7292 4.66655 11.3333 4.66665V4.66665Z",fill:"currentColor"}},{name:"fullscreen",width:16,height:16,path:{d:"M13.3334 2H14.6667V6H13.3334V3.33333H10.6667V2H13.3334ZM2.66671 2H5.33337V3.33333H2.66671V6H1.33337V2H2.66671ZM13.3334 12.6667V10H14.6667V14H10.6667V12.6667H13.3334ZM2.66671 12.6667H5.33337V14H1.33337V10H2.66671V12.6667Z",fill:"currentColor"}},{name:"fullscreen-exit",width:16,height:16,path:{d:"M12 4.66667H14.6667V6H10.6667V2H12V4.66667ZM5.33337 6H1.33337V4.66667H4.00004V2H5.33337V6ZM12 11.3333V14H10.6667V10H14.6667V11.3333H12ZM5.33337 10V14H4.00004V11.3333H1.33337V10H5.33337Z",fill:"currentColor"}},{name:"user-plus",width:16,height:16,path:[{d:"M10.6665 14V12.6667C10.6665 11.9594 10.3856 11.2811 9.88546 10.781C9.38536 10.281 8.70708 10 7.99984 10H3.33317C2.62593 10 1.94765 10.281 1.44755 10.781C0.947456 11.2811 0.666504 11.9594 0.666504 12.6667V14",stroke:"currentColor","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"},{d:"M5.66667 7.33333C7.13943 7.33333 8.33333 6.13943 8.33333 4.66667C8.33333 3.19391 7.13943 2 5.66667 2C4.19391 2 3 3.19391 3 4.66667C3 6.13943 4.19391 7.33333 5.66667 7.33333Z",stroke:"currentColor","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"},{d:"M13.3335 5.33301V9.33301",stroke:"currentColor","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"},{d:"M15.3335 7.33301H11.3335",stroke:"currentColor","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"}]},{name:"feedback-circle",width:16,height:16,path:[{d:"M15.2 7.60006C15.2028 8.65595 14.9561 9.69757 14.48 10.6401C13.9156 11.7695 13.0478 12.7194 11.974 13.3835C10.9002 14.0476 9.66263 14.3996 8.40004 14.4C7.34414 14.4028 6.30253 14.1561 5.36004 13.6801L0.800049 15.2L2.32005 10.6401C1.84399 9.69757 1.59729 8.65595 1.60005 7.60006C1.60054 6.33747 1.95254 5.09995 2.61662 4.02611C3.28071 2.95227 4.23065 2.08452 5.36004 1.52007C6.30253 1.04402 7.34414 0.797319 8.40004 0.800072H8.80004C10.4675 0.892065 12.0425 1.59588 13.2233 2.77676C14.4042 3.95763 15.108 5.53259 15.2 7.20006V7.60006Z",stroke:"currentColor","stroke-width":"1.34605","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"},{"fill-rule":"evenodd","clip-rule":"evenodd",d:"M5.59998 5.60005C5.59998 5.15822 5.95617 4.80005 6.39556 4.80005H6.4044C6.84378 4.80005 7.19998 5.15822 7.19998 5.60005C7.19998 6.04188 6.84378 6.40005 6.4044 6.40005H6.39556C5.95617 6.40005 5.59998 6.04188 5.59998 5.60005Z",fill:"currentColor"},{"fill-rule":"evenodd","clip-rule":"evenodd",d:"M9.59998 5.60005C9.59998 5.15822 9.95617 4.80005 10.3956 4.80005H10.4044C10.8438 4.80005 11.2 5.15822 11.2 5.60005C11.2 6.04188 10.8438 6.40005 10.4044 6.40005H10.3956C9.95617 6.40005 9.59998 6.04188 9.59998 5.60005Z",fill:"currentColor"},{d:"M6.40002 9.59998C7.06669 10.2666 8.80002 11.2 10.4 9.59998",stroke:"currentColor","stroke-width":"1.5","stroke-linecap":"round",fill:"none"}]},{name:"compass",height:16,width:16,path:[{d:"M8.00002 14.667C11.6819 14.667 14.6667 11.6822 14.6667 8.00027C14.6667 4.31839 11.6819 1.33362 8.00002 1.33362C4.31814 1.33362 1.33337 4.31839 1.33337 8.00027C1.33337 11.6822 4.31814 14.667 8.00002 14.667Z",stroke:"currentColor","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"},{d:"M10.8266 5.17346L9.41336 9.41346L5.17334 10.8268L6.58668 6.58679L10.8266 5.17346Z",stroke:"currentColor","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"}]},{name:"help-circle",height:16,width:16,path:[{d:"M8.3335 13.667C11.2791 13.667 13.667 11.2791 13.667 8.3335C13.667 5.38789 11.2791 3 8.3335 3C5.38789 3 3 5.38789 3 8.3335C3 11.2791 5.38789 13.667 8.3335 13.667Z",stroke:"currentColor","stroke-linecap":"round",fill:"none"},{d:"M6.78137 6.73413C6.90676 6.37767 7.15426 6.0771 7.48004 5.88564C7.80581 5.69418 8.18883 5.62419 8.56125 5.68807C8.93368 5.75195 9.27148 5.94558 9.51483 6.23466C9.75818 6.52374 9.89136 6.88961 9.8908 7.26747C9.8908 8.33417 8.29075 8.86752 8.29075 8.86752",stroke:"currentColor","stroke-linecap":"round",fill:"none"},{d:"M8.3335 11H8.33883",stroke:"currentColor","stroke-linecap":"round",fill:"none"}]},{name:"intercom",height:16,width:16,path:{d:"M13.25 1H2.75C1.78438 1 1 1.78438 1 2.75V13.25C1 14.2156 1.78438 15 2.75 15H13.25C14.2156 15 15 14.2156 15 13.25V2.75C15 1.78438 14.2156 1 13.25 1ZM9.86563 3.56562C9.86563 2.94687 10.8 2.94687 10.8 3.56562V9.8C10.8 10.4187 9.86563 10.4187 9.86563 9.8V3.56562ZM7.53438 3.33125C7.53438 2.7125 8.46875 2.7125 8.46875 3.33125V10.0969C8.46875 10.7156 7.53438 10.7156 7.53438 10.0969V3.33125ZM5.2 3.56562C5.2 2.94687 6.13438 2.94687 6.13438 3.56562V9.8C6.13438 10.4187 5.2 10.4187 5.2 9.8V3.56562ZM2.86563 4.5C2.86563 3.88125 3.8 3.88125 3.8 4.5V8.69687C3.8 9.31562 2.86563 9.31562 2.86563 8.69687V4.5ZM12.9719 11.6187C10.6969 13.5875 5.41875 13.6625 3.03125 11.6187C2.5625 11.2188 3.16875 10.5094 3.6375 10.9094C5.69688 12.6375 10.3906 12.5938 12.3656 10.9094C12.8313 10.5063 13.4375 11.2156 12.9719 11.6187ZM13.1344 8.69687C13.1344 9.31562 12.2 9.31562 12.2 8.69687V4.5C12.2 3.88125 13.1344 3.88125 13.1344 4.5V8.69687Z",fill:"currentColor"}},{name:"spectrum",height:16,width:16,path:{d:"M3 7.21062V3.76923C3 3.3444 3.3444 3 3.76923 3H3.99036C8.96625 3 13 7.03375 13 12.0096C13 12.4072 12.6901 12.7359 12.2931 12.7592L8.86106 12.9604C8.49475 12.9819 8.18589 12.6906 8.18589 12.3237C8.18589 9.85782 6.18693 7.85885 3.72108 7.85885H3.64824C3.29023 7.85885 3 7.56863 3 7.21062Z",fill:"currentColor"}},{name:"book",height:16,width:16,path:[{d:"M2.66675 13C2.66675 12.558 2.84234 12.134 3.1549 11.8215C3.46746 11.5089 3.89139 11.3333 4.33341 11.3333H13.3334",stroke:"currentColor","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"},{d:"M4.33341 1.33333H13.3334V14.6667H4.33341C3.89139 14.6667 3.46746 14.4911 3.1549 14.1785C2.84234 13.8659 2.66675 13.442 2.66675 13V2.99999C2.66675 2.55797 2.84234 2.13404 3.1549 1.82148C3.46746 1.50892 3.89139 1.33333 4.33341 1.33333V1.33333Z",stroke:"currentColor","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"}]},{name:"disc",height:16,width:16,path:[{d:"M7.99992 14.6667C11.6818 14.6667 14.6666 11.6819 14.6666 8C14.6666 4.3181 11.6818 1.33334 7.99992 1.33334C4.31802 1.33334 1.33325 4.3181 1.33325 8C1.33325 11.6819 4.31802 14.6667 7.99992 14.6667Z",stroke:"currentColor","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"},{d:"M8 10C9.10457 10 10 9.10457 10 8C10 6.89543 9.10457 6 8 6C6.89543 6 6 6.89543 6 8C6 9.10457 6.89543 10 8 10Z",stroke:"currentColor","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"}]},{name:"book-open",width:16,height:16,path:[{d:"M1.33337 2H5.33337C6.04062 2 6.71889 2.28095 7.21899 2.78105C7.71909 3.28115 8.00004 3.95942 8.00004 4.66667V14C8.00004 13.4696 7.78933 12.9609 7.41425 12.5858C7.03918 12.2107 6.53047 12 6.00004 12H1.33337V2Z",stroke:"currentColor","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"},{d:"M14.6667 2H10.6667C9.95942 2 9.28115 2.28095 8.78105 2.78105C8.28095 3.28115 8 3.95942 8 4.66667V14C8 13.4696 8.21071 12.9609 8.58579 12.5858C8.96086 12.2107 9.46957 12 10 12H14.6667V2Z",stroke:"currentColor","stroke-linecap":"round","stroke-linejoin":"round",fill:"none"}]},{name:"layers",width:16,height:16,path:[{d:"M8.00004 1.33337L1.33337 4.66671L8.00004 8.00004L14.6667 4.66671L8.00004 1.33337Z",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M1.33337 11.3334L8.00004 14.6667L14.6667 11.3334",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M1.33337 8L8.00004 11.3333L14.6667 8",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"}]},{name:"git-branch",width:16,height:16,path:[{d:"M4 2V10",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M12 6C13.1046 6 14 5.10457 14 4C14 2.89543 13.1046 2 12 2C10.8954 2 10 2.89543 10 4C10 5.10457 10.8954 6 12 6Z",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M4 14C5.10457 14 6 13.1046 6 12C6 10.8954 5.10457 10 4 10C2.89543 10 2 10.8954 2 12C2 13.1046 2.89543 14 4 14Z",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M12 6C12 7.5913 11.3679 9.11742 10.2426 10.2426C9.11742 11.3679 7.5913 12 6 12",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"}]},{name:"grid",width:16,height:16,path:[{d:"M6.66667 2H2V6.66667H6.66667V2Z",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M14 2H9.33337V6.66667H14V2Z",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M14 9.33337H9.33337V14H14V9.33337Z",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M6.66667 9.33337H2V14H6.66667V9.33337Z",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"}]},{name:"paper-plane",width:16,height:16,path:[{d:"M14.6667 1.33337L7.33337 8.66671",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round","stoke-width":1.5},{d:"M14.6667 1.33337L10 14.6667L7.33337 8.66671L1.33337 6.00004L14.6667 1.33337Z",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round","stoke-width":1.5}]},{name:"align-left",width:16,height:16,path:[{d:"M11.3333 6.66663H2",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round","stoke-width":1.5},{d:"M14 4H2",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round","stoke-width":1.5},{d:"M14 9.33337H2",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round","stoke-width":1.5},{d:"M11.3333 12H2",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round","stoke-width":1.5}]},{name:"list-dots",width:16,height:16,path:[{d:"M5.33301 4H13.9997",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M5.33301 8H13.9997",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M5.33301 12H13.9997",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M2 4H2.00667",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M2 8H2.00667",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M2 12H2.00667",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"}]},{name:"home",width:16,height:16,path:[{d:"M6.66634 8.83333H6.16634V9.33333V12.8333H3.83301V8V7.5H3.33301H2.63599L7.99967 2.67268L13.3634 7.5H12.6663H12.1663V8V12.8333H9.83301V9.33333V8.83333H9.33301H6.66634Z",stroke:"currentColor",fill:"none"}]},{name:"double-quotes",width:16,height:16,path:[{d:"M6.99325 6.51705L6.50006 6.43483L6.49664 6.45529L6.49494 6.47597L6.99325 6.51705ZM4.09209 9.03355L4.5908 8.99768L4.55659 8.52208L4.07991 8.5337L4.09209 9.03355ZM2.79882 11.5207L3.05607 11.9494H3.05607L2.79882 11.5207ZM2.54102 11.6753L2.28378 11.2466H2.28378L2.54102 11.6753ZM2.29612 12.557L2.73764 12.3224L2.73764 12.3224L2.29612 12.557ZM2.95851 12.9054L2.90164 12.4086H2.90164L2.95851 12.9054ZM3.16694 12.8815L3.22382 13.3783L3.16694 12.8815ZM6.77566 9.15641L7.27397 9.19749L6.77566 9.15641ZM6.53446 6.01723C6.53446 6.15984 6.52265 6.29932 6.50006 6.43483L7.48644 6.59927C7.51806 6.40963 7.53446 6.21516 7.53446 6.01723H6.53446ZM4.01723 3.5C5.40746 3.5 6.53446 4.627 6.53446 6.01723H7.53446C7.53446 4.07472 5.95974 2.5 4.01723 2.5V3.5ZM1.5 6.01723C1.5 4.627 2.627 3.5 4.01723 3.5V2.5C2.07472 2.5 0.5 4.07472 0.5 6.01723H1.5ZM4.01723 8.53446C2.627 8.53446 1.5 7.40746 1.5 6.01723H0.5C0.5 7.95974 2.07472 9.53446 4.01723 9.53446V8.53446ZM4.07991 8.5337C4.0591 8.5342 4.0382 8.53446 4.01723 8.53446V9.53446C4.04631 9.53446 4.07532 9.5341 4.10426 9.5334L4.07991 8.5337ZM3.59338 9.06941C3.65146 9.87707 3.25374 10.6646 2.54157 11.0919L3.05607 11.9494C4.0957 11.3256 4.67557 10.1764 4.5908 8.99768L3.59338 9.06941ZM2.54157 11.0919L2.28378 11.2466L2.79827 12.1041L3.05607 11.9494L2.54157 11.0919ZM2.28378 11.2466C1.75241 11.5654 1.56378 12.2445 1.8546 12.7917L2.73764 12.3224C2.69655 12.2451 2.7232 12.1491 2.79827 12.1041L2.28378 11.2466ZM1.8546 12.7917C2.07928 13.2144 2.53976 13.4566 3.01538 13.4021L2.90164 12.4086C2.83444 12.4163 2.76938 12.3821 2.73764 12.3224L1.8546 12.7917ZM3.01538 13.4021L3.22382 13.3783L3.11007 12.3848L2.90164 12.4086L3.01538 13.4021ZM3.22382 13.3783C5.39836 13.1293 7.09415 11.3788 7.27397 9.19749L6.27735 9.11533C6.13673 10.8212 4.81059 12.1901 3.11007 12.3848L3.22382 13.3783ZM7.27397 9.19749L7.49156 6.55813L6.49494 6.47597L6.27735 9.11533L7.27397 9.19749Z",fill:"currentColor"},{d:"M14.9932 6.51705L14.5001 6.43483L14.4966 6.45529L14.4949 6.47597L14.9932 6.51705ZM12.0921 9.03355L12.5908 8.99768L12.5566 8.52208L12.0799 8.5337L12.0921 9.03355ZM10.7988 11.5207L11.0561 11.9494H11.0561L10.7988 11.5207ZM10.541 11.6753L10.2838 11.2466H10.2838L10.541 11.6753ZM10.2961 12.557L10.7376 12.3224L10.7376 12.3224L10.2961 12.557ZM10.9585 12.9054L10.9016 12.4086H10.9016L10.9585 12.9054ZM11.1669 12.8815L11.2238 13.3783L11.1669 12.8815ZM14.7757 9.15641L15.274 9.19749L14.7757 9.15641ZM14.5345 6.01723C14.5345 6.15984 14.5226 6.29932 14.5001 6.43483L15.4864 6.59927C15.5181 6.40963 15.5345 6.21516 15.5345 6.01723H14.5345ZM12.0172 3.5C13.4075 3.5 14.5345 4.627 14.5345 6.01723H15.5345C15.5345 4.07472 13.9597 2.5 12.0172 2.5V3.5ZM9.5 6.01723C9.5 4.627 10.627 3.5 12.0172 3.5V2.5C10.0747 2.5 8.5 4.07472 8.5 6.01723H9.5ZM12.0172 8.53446C10.627 8.53446 9.5 7.40746 9.5 6.01723H8.5C8.5 7.95974 10.0747 9.53446 12.0172 9.53446V8.53446ZM12.0799 8.5337C12.0591 8.5342 12.0382 8.53446 12.0172 8.53446V9.53446C12.0463 9.53446 12.0753 9.5341 12.1043 9.5334L12.0799 8.5337ZM11.5934 9.06941C11.6515 9.87707 11.2537 10.6646 10.5416 11.0919L11.0561 11.9494C12.0957 11.3256 12.6756 10.1764 12.5908 8.99768L11.5934 9.06941ZM10.5416 11.0919L10.2838 11.2466L10.7983 12.1041L11.0561 11.9494L10.5416 11.0919ZM10.2838 11.2466C9.75241 11.5654 9.56378 12.2445 9.8546 12.7917L10.7376 12.3224C10.6965 12.2451 10.7232 12.1491 10.7983 12.1041L10.2838 11.2466ZM9.8546 12.7917C10.0793 13.2144 10.5398 13.4566 11.0154 13.4021L10.9016 12.4086C10.8344 12.4163 10.7694 12.3821 10.7376 12.3224L9.8546 12.7917ZM11.0154 13.4021L11.2238 13.3783L11.1101 12.3848L10.9016 12.4086L11.0154 13.4021ZM11.2238 13.3783C13.3984 13.1293 15.0941 11.3788 15.274 9.19749L14.2774 9.11533C14.1367 10.8212 12.8106 12.1901 11.1101 12.3848L11.2238 13.3783ZM15.274 9.19749L15.4916 6.55813L14.4949 6.47597L14.2774 9.11533L15.274 9.19749Z",fill:"currentColor"}]},{name:"simple-quote",width:8,height:16,path:[{d:"M6.99325 6.51705L6.50006 6.43483L6.49664 6.45529L6.49494 6.47597L6.99325 6.51705ZM4.09209 9.03355L4.5908 8.99768L4.55659 8.52208L4.07991 8.5337L4.09209 9.03355ZM2.79882 11.5207L3.05607 11.9494H3.05607L2.79882 11.5207ZM2.54102 11.6753L2.28378 11.2466H2.28378L2.54102 11.6753ZM2.29612 12.557L2.73764 12.3224L2.73764 12.3224L2.29612 12.557ZM2.95851 12.9054L2.90164 12.4086H2.90164L2.95851 12.9054ZM3.16694 12.8815L3.22382 13.3783L3.16694 12.8815ZM6.77566 9.15641L7.27397 9.19749L6.77566 9.15641ZM6.53446 6.01723C6.53446 6.15984 6.52265 6.29932 6.50006 6.43483L7.48644 6.59927C7.51806 6.40963 7.53446 6.21516 7.53446 6.01723H6.53446ZM4.01723 3.5C5.40746 3.5 6.53446 4.627 6.53446 6.01723H7.53446C7.53446 4.07472 5.95974 2.5 4.01723 2.5V3.5ZM1.5 6.01723C1.5 4.627 2.627 3.5 4.01723 3.5V2.5C2.07472 2.5 0.5 4.07472 0.5 6.01723H1.5ZM4.01723 8.53446C2.627 8.53446 1.5 7.40746 1.5 6.01723H0.5C0.5 7.95974 2.07472 9.53446 4.01723 9.53446V8.53446ZM4.07991 8.5337C4.0591 8.5342 4.0382 8.53446 4.01723 8.53446V9.53446C4.04631 9.53446 4.07532 9.5341 4.10426 9.5334L4.07991 8.5337ZM3.59338 9.06941C3.65146 9.87707 3.25374 10.6646 2.54157 11.0919L3.05607 11.9494C4.0957 11.3256 4.67557 10.1764 4.5908 8.99768L3.59338 9.06941ZM2.54157 11.0919L2.28378 11.2466L2.79827 12.1041L3.05607 11.9494L2.54157 11.0919ZM2.28378 11.2466C1.75241 11.5654 1.56378 12.2445 1.8546 12.7917L2.73764 12.3224C2.69655 12.2451 2.7232 12.1491 2.79827 12.1041L2.28378 11.2466ZM1.8546 12.7917C2.07928 13.2144 2.53976 13.4566 3.01538 13.4021L2.90164 12.4086C2.83444 12.4163 2.76938 12.3821 2.73764 12.3224L1.8546 12.7917ZM3.01538 13.4021L3.22382 13.3783L3.11007 12.3848L2.90164 12.4086L3.01538 13.4021ZM3.22382 13.3783C5.39836 13.1293 7.09415 11.3788 7.27397 9.19749L6.27735 9.11533C6.13673 10.8212 4.81059 12.1901 3.11007 12.3848L3.22382 13.3783ZM7.27397 9.19749L7.49156 6.55813L6.49494 6.47597L6.27735 9.11533L7.27397 9.19749Z",fill:"currentColor"}]},{name:"edit",width:16,height:16,path:[{d:"M8 13.333H14",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M11 2.33316C11.2652 2.06794 11.6249 1.91895 12 1.91895C12.1857 1.91895 12.3696 1.95553 12.5412 2.0266C12.7128 2.09767 12.8687 2.20184 13 2.33316C13.1313 2.46448 13.2355 2.62038 13.3066 2.79196C13.3776 2.96354 13.4142 3.14744 13.4142 3.33316C13.4142 3.51888 13.3776 3.70277 13.3066 3.87435C13.2355 4.04594 13.1313 4.20184 13 4.33316L4.66667 12.6665L2 13.3332L2.66667 10.6665L11 2.33316Z",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"}]},{name:"map",width:16,height:16,path:[{d:"M0.666504 3.99992V14.6666L5.33317 11.9999L10.6665 14.6666L15.3332 11.9999V1.33325L10.6665 3.99992L5.33317 1.33325L0.666504 3.99992Z",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M5.3335 1.33325V11.9999",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M10.6665 4V14.6667",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"}]},{name:"message-circle",width:16,height:16,path:[{d:"M14 7.66669C14.0023 8.5466 13.7967 9.41461 13.4 10.2C12.9296 11.1412 12.2065 11.9328 11.3116 12.4862C10.4168 13.0396 9.3855 13.3329 8.33333 13.3334C7.45342 13.3356 6.58541 13.1301 5.8 12.7334L2 14L3.26667 10.2C2.86995 9.41461 2.66437 8.5466 2.66667 7.66669C2.66707 6.61452 2.96041 5.58325 3.51381 4.68839C4.06722 3.79352 4.85884 3.0704 5.8 2.60002C6.58541 2.20331 7.45342 1.99772 8.33333 2.00002H8.66667C10.0562 2.07668 11.3687 2.66319 12.3528 3.64726C13.3368 4.63132 13.9233 5.94379 14 7.33335V7.66669Z",stroke:"currentColor",fill:"none","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round"}]},{name:"square-star",width:16,height:16,path:[{d:"M13.4444 1H2.55556C1.69645 1 1 1.69645 1 2.55556V13.4444C1 14.3036 1.69645 15 2.55556 15H13.4444C14.3036 15 15 14.3036 15 13.4444V2.55556C15 1.69645 14.3036 1 13.4444 1Z",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M8 4L9.236 6.30389L12 6.6756L10 8.66404L10.472 11.1961L8 10L5.528 11.1961L6 8.66404L4 6.6756L6.764 6.30389L8 4Z",stroke:"currentColor",fill:"none","stroke-linecap":"round","stroke-linejoin":"round"}]},{name:"markdown",width:16,height:16,path:[{d:"M13.8613 3.9093V11.3974",stroke:"currentColor",fill:"none","stroke-linecap":"round"},{d:"M11.7217 9.25793L13.8611 11.3974L16.0006 9.25793",stroke:"currentColor",fill:"none","stroke-linecap":"round"},{d:"M9.33925 12.467V3.42236H7.44633L4.72604 10.01H4.61321L1.89292 3.42236H0V12.467H1.50431V6.10505H1.59206L4.09297 12.116H5.24628L7.74719 6.10505H7.83494V12.467H9.33925Z",fill:"currentColor",stroke:"none"}]},{name:"clock",width:16,height:16,path:[{d:"M2.13068 4.91172C4.63218 1.13044 9.54394 0.668239 12.3651 2.99496C15.1862 5.32167 15.5523 9.53696 13.1827 12.4101C10.8131 15.2832 6.6052 15.7261 3.78407 13.3994C2.69511 12.5012 1.85058 11.1422 1.5633 9.7496M2.13068 4.91172L2.05518 2.8049M2.13068 4.91172L4.23746 4.83628",stroke:"currentColor",fill:"none","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M7.12598 5.20703V9.20703L9.79264 10.5404",stroke:"currentColor",fill:"none","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round"}]},{name:"award",width:16,height:16,path:[{d:"M7.99967 10.0003C10.577 10.0003 12.6663 7.91099 12.6663 5.33366C12.6663 2.75633 10.577 0.666992 7.99967 0.666992C5.42235 0.666992 3.33301 2.75633 3.33301 5.33366C3.33301 7.91099 5.42235 10.0003 7.99967 10.0003Z",stroke:"currentColor",fill:"none","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M5.47366 9.2596L4.66699 15.3329L8.00033 13.3329L11.3337 15.3329L10.527 9.25293",stroke:"currentColor",fill:"none","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round"}]},{name:"copy",width:16,height:16,path:[{d:"M13.3333 6H7.33333C6.59695 6 6 6.59695 6 7.33333V13.3333C6 14.0697 6.59695 14.6667 7.33333 14.6667H13.3333C14.0697 14.6667 14.6667 14.0697 14.6667 13.3333V7.33333C14.6667 6.59695 14.0697 6 13.3333 6Z",stroke:"currentColor",fill:"none","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round"},{d:"M3.33301 9.99967H2.66634C2.31272 9.99967 1.97358 9.8592 1.72353 9.60915C1.47348 9.3591 1.33301 9.01996 1.33301 8.66634V2.66634C1.33301 2.31272 1.47348 1.97358 1.72353 1.72353C1.97358 1.47348 2.31272 1.33301 2.66634 1.33301H8.66634C9.01996 1.33301 9.3591 1.47348 9.60915 1.72353C9.8592 1.97358 9.99967 2.31272 9.99967 2.66634V3.33301",stroke:"currentColor",fill:"none","stroke-width":"1.5","stroke-linecap":"round","stroke-linejoin":"round"}]}];

var SIcon = /** @class */ (function (_super) {
    __extends(SIcon, _super);
    function SIcon() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.icons = Icons;
        _this.emptyIcon = { name: '', width: 0, height: 0 };
        return _this;
    }
    Object.defineProperty(SIcon.prototype, "current", {
        get: function () {
            var _this = this;
            return this.icons.find(function (i) { return i.name === _this.icon; }) || this.emptyIcon;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SIcon.prototype, "cursor", {
        get: function () {
            return this.clickable ? 'cursor-pointer' : 'cursor-default';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SIcon.prototype, "viewBox", {
        get: function () {
            return "0 0 " + this.current.width + " " + this.current.height;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SIcon.prototype, "stroke", {
        get: function () {
            var _a, _b;
            return ((_a = this.current.path) === null || _a === void 0 ? void 0 : _a.stroke) ? 'stroke-current' : ((_b = this.current.circle) === null || _b === void 0 ? void 0 : _b.stroke) ? 'stroke-current' : '';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SIcon.prototype, "fill", {
        get: function () {
            var _a, _b;
            return ((_a = this.current.path) === null || _a === void 0 ? void 0 : _a.fill) ? 'fill-current' : ((_b = this.current.circle) === null || _b === void 0 ? void 0 : _b.fill) ? 'fill-current' : '';
        },
        enumerable: true,
        configurable: true
    });
    SIcon.prototype.colorLogoFill = function (p, idx) {
        return this.icon === 'story' && !this.color ? ['#6E66FF', '#FE585A', '#96C8EB', '#FFB81E', '#FFB81E'][idx]
            : this.icon === 'slack' && !this.color ? ['#E01E5A', '#36C5F0', '#2EB67D', '#ECB22E'][idx]
                : p.fill || undefined;
    };
    Object.defineProperty(SIcon.prototype, "path", {
        get: function () {
            var _a;
            return this.current.path && !Array.isArray(this.current.path) ? [this.current.path] : (_a = this.current) === null || _a === void 0 ? void 0 : _a.path;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SIcon.prototype, "circle", {
        get: function () {
            var _a;
            return this.current.circle && !Array.isArray(this.current.circle) ? [this.current.circle] : (_a = this.current) === null || _a === void 0 ? void 0 : _a.circle;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SIcon.prototype, "defs", {
        get: function () {
            return this.current.defs || undefined;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        Prop({ type: String, required: true, validator: function (v) { return Icons.map(function (i) { return i.name; }).includes(v); } })
    ], SIcon.prototype, "icon", void 0);
    __decorate([
        Prop({ type: [String, Number], default: 16 })
    ], SIcon.prototype, "width", void 0);
    __decorate([
        Prop({ type: [String, Number], default: 16 })
    ], SIcon.prototype, "height", void 0);
    __decorate([
        Prop({ type: Boolean, default: false })
    ], SIcon.prototype, "clickable", void 0);
    __decorate([
        Prop({ type: String, default: undefined })
    ], SIcon.prototype, "color", void 0);
    SIcon = __decorate([
        Component({
            name: 'SIcon'
        })
    ], SIcon);
    return SIcon;
}(Vue));

/* script */
const __vue_script__$5 = SIcon;

/* template */
var __vue_render__$5 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{class:[
    {'relative': _vm.$slots.default && _vm.$slots.defaults.length > 0 },
    _vm.cursor
  ],on:{"click":function($event){return _vm.$emit('click', $event)}}},[_c('svg',{class:[
      _vm.color,
      _vm.cursor,
      _vm.stroke,
      _vm.fill
    ],attrs:{"xmlns":"http://www.w3.org/2000/svg","viewBox":_vm.viewBox,"height":_vm.height,"width":_vm.width}},[(_vm.path)?_vm._l((_vm.path),function(p,idx){return _c('path',_vm._b({key:("icon-" + _vm.icon + "-path-" + idx),attrs:{"fill":_vm.colorLogoFill(p, idx)}},'path',p,false))}):_vm._e(),_vm._v(" "),(_vm.defs)?_c('defs',[(_vm.defs.linearGradient)?_c('linearGradient',{attrs:{"id":_vm.defs.linearGradient.id,"x1":_vm.defs.linearGradient.x1,"y1":_vm.defs.linearGradient.y1,"x2":_vm.defs.linearGradient.x2,"y2":_vm.defs.linearGradient.y2,"gradientUnits":_vm.defs.linearGradient.gradientUnits}},_vm._l((_vm.defs.linearGradient.stops),function(stop,idx){return _c('stop',_vm._b({key:("def-icon-gradient-stop-" + idx)},'stop',stop,false))}),1):_vm._e()],1):_vm._e(),_vm._v(" "),(_vm.circle)?_vm._l((_vm.circle),function(c,idx){return _c('circle',_vm._b({key:("icon-" + _vm.icon + "-circle-" + idx)},'circle',c,false))}):_vm._e()],2),_vm._v(" "),(_vm.$slots.default)?_c('div',{staticClass:"absolute inset-0 inline-flex items-center justify-center"},[_vm._t("default")],2):_vm._e()])};
var __vue_staticRenderFns__$5 = [];

  /* style */
  const __vue_inject_styles__$5 = undefined;
  /* scoped */
  const __vue_scope_id__$5 = undefined;
  /* module identifier */
  const __vue_module_identifier__$5 = undefined;
  /* functional template */
  const __vue_is_functional_template__$5 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$5 = normalizeComponent(
    { render: __vue_render__$5, staticRenderFns: __vue_staticRenderFns__$5 },
    __vue_inject_styles__$5,
    __vue_script__$5,
    __vue_scope_id__$5,
    __vue_is_functional_template__$5,
    __vue_module_identifier__$5,
    false,
    undefined,
    undefined,
    undefined
  );

/** perfect-scrollbar classes to keep: .ps__rail-x, .ps__rail-y, .ps__thumb-x, .ps__thumb-y, .ps--clicking, .ps--focus, .ps--scrolling-x, .ps--scrolling-y, .ps--active-y, .ps--active-x */
var SScrollbar = /** @class */ (function (_super) {
    __extends(SScrollbar, _super);
    function SScrollbar() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.isPSInitialized = false;
        _this.ps = undefined;
        _this.suppressScrollY = false;
        return _this;
    }
    SScrollbar.prototype.scrollHandle = function (e) {
        this.$emit(e.type, e);
    };
    SScrollbar.prototype.update = function () {
        if (this.ps) {
            this.ps.update();
        }
    };
    SScrollbar.prototype.init = function () {
        if (this.swicher) {
            if (!this.isPSInitialized) {
                var settings = __assign(__assign({}, this.settings), { suppressScrollY: this.suppressScrollY, swipeEasing: true, wheelPropagation: true, minScrollbarLength: 0 });
                if (this.$refs.self) {
                    this.ps = new PerfectScrollbar(this.$refs.self, settings);
                    this.isPSInitialized = true;
                }
            }
            else {
                this.update();
            }
        }
    };
    SScrollbar.prototype.destroy = function () {
        if (this.ps) {
            this.ps.destroy();
            delete this.ps;
            this.isPSInitialized = false;
        }
    };
    SScrollbar.prototype.onSwicherChange = function (val) {
        if (val && !this.isPSInitialized) {
            this.init();
        }
        if (!val && this.isPSInitialized) {
            this.destroy();
        }
    };
    SScrollbar.prototype.onRouteUpdate = function () {
        this.update();
    };
    SScrollbar.prototype.setScrollingY = function (enable) {
        this.suppressScrollY = !enable;
        if (enable) {
            this.init();
        }
        else {
            this.destroy();
        }
    };
    SScrollbar.prototype.mounted = function () {
        // for support ssr
        if (!this.$isServer) {
            this.init();
        }
    };
    SScrollbar.prototype.updated = function () {
        this.$nextTick(this.update);
    };
    SScrollbar.prototype.beforeDestroy = function () {
        this.destroy();
    };
    __decorate([
        Prop({ type: Object, default: function () { return ({}); } })
    ], SScrollbar.prototype, "settings", void 0);
    __decorate([
        Prop({ type: Boolean, default: true })
    ], SScrollbar.prototype, "swicher", void 0);
    __decorate([
        Prop({ type: Boolean, default: false })
    ], SScrollbar.prototype, "disableUi", void 0);
    __decorate([
        Prop({ type: String, default: 'section' })
    ], SScrollbar.prototype, "tagname", void 0);
    __decorate([
        Watch('swicher')
    ], SScrollbar.prototype, "onSwicherChange", null);
    __decorate([
        Watch('$route')
    ], SScrollbar.prototype, "onRouteUpdate", null);
    SScrollbar = __decorate([
        Component({
            name: 'SScrollbar'
        })
    ], SScrollbar);
    return SScrollbar;
}(Vue));

/* script */
const __vue_script__$6 = SScrollbar;

/* template */
var __vue_render__$6 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c(_vm.tagname,{ref:"self",tag:"component",class:['ps', { 'ps--hidden': _vm.disableUi }],on:{"~mouseover":function($event){return _vm.update($event)},"ps-scroll-y":_vm.scrollHandle,"ps-scroll-x":_vm.scrollHandle,"ps-scroll-up":_vm.scrollHandle,"ps-scroll-down":_vm.scrollHandle,"ps-scroll-left":_vm.scrollHandle,"ps-scroll-right":_vm.scrollHandle,"ps-y-reach-start":_vm.scrollHandle,"ps-y-reach-end":_vm.scrollHandle,"ps-x-reach-start":_vm.scrollHandle,"ps-x-reach-end":_vm.scrollHandle}},[_vm._t("default")],2)};
var __vue_staticRenderFns__$6 = [];

  /* style */
  const __vue_inject_styles__$6 = undefined;
  /* scoped */
  const __vue_scope_id__$6 = undefined;
  /* module identifier */
  const __vue_module_identifier__$6 = undefined;
  /* functional template */
  const __vue_is_functional_template__$6 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$6 = normalizeComponent(
    { render: __vue_render__$6, staticRenderFns: __vue_staticRenderFns__$6 },
    __vue_inject_styles__$6,
    __vue_script__$6,
    __vue_scope_id__$6,
    __vue_is_functional_template__$6,
    __vue_module_identifier__$6,
    false,
    undefined,
    undefined,
    undefined
  );

var SModal = /** @class */ (function (_super) {
    __extends(SModal, _super);
    function SModal() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.open = false;
        _this.enforce = false;
        return _this;
    }
    SModal.prototype.show = function () {
        var _this = this;
        setTimeout(function () { return (_this.open = true); }, 50);
    };
    SModal.prototype.hide = function () {
        if (this.open) {
            this.open = false;
            this.$emit('hidden');
        }
    };
    SModal.prototype.onOpenWatcher = function () {
        var _this = this;
        if (this.enforce) {
            this.enforce = false;
            setTimeout(function () { return (_this.open = false); }, 60);
        }
        if (this.open) {
            document.documentElement.classList.add('overflow-hidden');
        }
        else {
            document.documentElement.classList.remove('overflow-hidden');
        }
    };
    Object.defineProperty(SModal.prototype, "rounded", {
        get: function () {
            return 'rounded-2xl';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SModal.prototype, "padding", {
        get: function () {
            return 'pt-10 pb-16 px-28';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SModal.prototype, "bg", {
        get: function () {
            return this.themeColor === ThemeColorsEnum.LIGHT ? 'bg-white' : 'bg-gray-100';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SModal.prototype, "forceHide", {
        get: function () {
            return this.enforce;
        },
        set: function (enforce) {
            this.enforce = enforce;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        Prop({ type: Boolean, default: true })
    ], SModal.prototype, "closable", void 0);
    __decorate([
        Getter('getThemeColor')
    ], SModal.prototype, "themeColor", void 0);
    __decorate([
        Provide('show')
    ], SModal.prototype, "show", null);
    __decorate([
        Provide('hide')
    ], SModal.prototype, "hide", null);
    __decorate([
        Watch('open')
    ], SModal.prototype, "onOpenWatcher", null);
    SModal = __decorate([
        Component({
            name: 'SModal'
        })
    ], SModal);
    return SModal;
}(Vue));

/* script */
const __vue_script__$7 = SModal;

/* template */
var __vue_render__$7 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{directives:[{name:"show",rawName:"v-show",value:(_vm.open),expression:"open"}]},[_c('div',{staticClass:"w-screen h-screen z-40 fixed inset-0 bg-gray-100 opacity-65"}),_vm._v(" "),_c('s-scrollbar',{ref:"modalScrollbar",staticClass:"z-50 flex fixed inset-0 w-screen h-screen py-8 opacity-100"},[_c('div',{directives:[{name:"click-outside",rawName:"v-click-outside",value:(_vm.hide),expression:"hide"}],class:[
        'relative flex flex-col items-center w-fit-content m-auto max-w-2xl',
        _vm.rounded,
        _vm.bg
      ]},[_c('div',{staticClass:"absolute top-0 right-0 -mt-4 -mr-4"},[(_vm.closable)?_c('div',{staticClass:"w-8 h-8 bg-gray-30 rounded-full flex items-center justify-center cursor-pointer",attrs:{"id":"modal-close-btn"},on:{"click":_vm.hide}},[_c('s-icon',{attrs:{"icon":"cross","clickable":""}})],1):_vm._e()]),_vm._v(" "),_c('div',{class:[
          _vm.padding,
          'w-full'
        ]},[_vm._t("default")],2)])])],1)};
var __vue_staticRenderFns__$7 = [];

  /* style */
  const __vue_inject_styles__$7 = undefined;
  /* scoped */
  const __vue_scope_id__$7 = undefined;
  /* module identifier */
  const __vue_module_identifier__$7 = undefined;
  /* functional template */
  const __vue_is_functional_template__$7 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$7 = normalizeComponent(
    { render: __vue_render__$7, staticRenderFns: __vue_staticRenderFns__$7 },
    __vue_inject_styles__$7,
    __vue_script__$7,
    __vue_scope_id__$7,
    __vue_is_functional_template__$7,
    __vue_module_identifier__$7,
    false,
    undefined,
    undefined,
    undefined
  );

var components = {
    SText: __vue_component__,
    SMessage: __vue_component__$1,
    SButton: __vue_component__$2,
    STextButton: __vue_component__$3,
    SGradientBorderButton: __vue_component__$4,
    SIcon: __vue_component__$5,
    SScrollbar: __vue_component__$6,
    SModal: __vue_component__$7
};

var state = {
    color: ThemeColorsEnum.LIGHT,
    accent: AccentColorsEnum.INDIGO
};
var getters = {
    getTheme: function (state) { return state; },
    getThemeColor: function (state) { return state.color; },
    getThemeAccent: function (state) { return state.accent; }
};
var mutations = {
    setThemeColor: function (state, color) {
        var _a, _b;
        var body = document.querySelector('body');
        state.color = color;
        if (((_a = body) === null || _a === void 0 ? void 0 : _a.classList.contains('text-black')) && color === ThemeColorsEnum.DARK) {
            body.classList.remove('text-black');
            body.classList.add('text-white');
        }
        else if (((_b = body) === null || _b === void 0 ? void 0 : _b.classList.contains('text-white')) && color === ThemeColorsEnum.LIGHT) {
            body.classList.remove('text-white');
            body.classList.add('text-black');
        }
    },
    setAccentColor: function (state, accent) {
        state.accent = accent;
    }
};
var theme = {
    state: state, getters: getters, mutations: mutations
};

var modules = {
    theme: theme
};

var ClickOutside = {
    bind: function (el, binding, vnode) {
        el.clickOutsideEvent = function (event) {
            if (!(el === event.target || el.contains(event.target))) {
                vnode.context[binding.expression](event);
            }
        };
        document.body.addEventListener('click', el.clickOutsideEvent);
    },
    unbind: function (el) {
        document.body.removeEventListener('click', el.clickOutsideEvent);
    }
};

var directives = {
    ClickOutside: ClickOutside
};
var directives$1 = __assign({}, directives);

var StoryscriptPlugin = /** @class */ (function () {
    function StoryscriptPlugin(store) {
        this.store = store;
        this._event = new Vue$1();
    }
    StoryscriptPlugin.prototype.setThemeColor = function (color) {
        this.store.commit('setThemeColor', color);
    };
    StoryscriptPlugin.prototype.setAccentColor = function (accent) {
        this.store.commit('setAccentColor', accent);
    };
    Object.defineProperty(StoryscriptPlugin.prototype, "event", {
        get: function () {
            return this._event;
        },
        enumerable: true,
        configurable: true
    });
    return StoryscriptPlugin;
}());

var install = function (Vue, options) {
    var _a;
    if (!options.store) {
        throw new Error('Please provide vuex store.');
    }
    if (Vue !== Vue$1) {
        /* eslint-disable no-console */
        console.error('multiple instances of Vue detected');
    }
    var Modules = modules;
    for (var key in modules) {
        options.store.registerModule(key, Modules[key], { preserveState: !!options.store.state[key] });
    }
    var Directives = directives$1;
    for (var key in directives$1) {
        var directive = Directives[key];
        if (directives$1) {
            Vue.directive(key, directive);
        }
    }
    var plugin = new StoryscriptPlugin(options.store);
    Object.defineProperty(Vue.prototype, '$storyscript', {
        get: function () { return plugin; }
    });
    var Components = components;
    for (var key in Components) {
        var component = Components[key];
        if (component) {
            Vue.component(key, component);
        }
    }
    /* eslint-disable-next-line no-unused-expressions */
    (_a = document.querySelector('body')) === null || _a === void 0 ? void 0 : _a.classList.add('text-black');
};
var index = {
    install: install
};

export default index;
export { AccentColorsEnum, ThemeColorsEnum, theme as ThemeStore };
